<?

/*
 * FlatNuke Control Center
 * Copyright (C) 2004-2005 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */

/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.6
 * Data      16/01/2005
 */

/*                 OTHER SOFTWARES INCLUDED: LICENSING
 *
 * Icon images are taken from Crystal SVG beta1 and Kids beta1 themes
 * Copyright (C) Everaldo <everaldo@everaldo.com>, http://www.everaldo.com
 *
 * PHPFM 0.2.3 is developed by Morten Bojsen-Hansen <raz0@worldonline.dk>
 * Copyright (C) 2002 Morten Bojsen-Hansen, http://phpfm.zalon.dk/
 *
 * Flatbackup 0.1.1 is developed by Aldo 'zorba' Boccacci <doc4it(AT)altervista.org>
 * Copyright (C) 2004 Aldo Boccacci, http://doc4it.altervista.org
 *
 * TAR/GZIP/BZIP2/ZIP Archive classes 2.0 is developed by Devin Doucette <darksnoopy@shaw.ca>
 * Copyright (C) 2004 Devin Doucette
 *
 * DeepDir class is developed by Ilya Nemihin <nemilya@mail.ru>
 * Copyright (C) Ilya Nemihin, http://nemilya.narod.ru
 *
 * rmdirr 1.0.1 function is developed by Aidan Lister <aidan@php.net>
 * Copyright (C) Aidan Lister, http://aidan.dotgeek.org/lib/
 */


/*
 * Restituisce true se l'utente  di livello 10, e dunque possiede i privilegi di amministrazione;
 * versione modificata della funzione is_admin() presente in FD+ di Aldo Boccacci <zorba_ (AT) tin.it>
 */
function fncc_isadmin()
	{ if(isset($_COOKIE['myforum']) AND (getlevel($_COOKIE['myforum'],"home")==10) AND versecid($_COOKIE['myforum']))
		return true;
	else return false;
	}

/*
 * Visualizza la maschera di benvenuto (e di default) con informazioni generali
 */
function fncc_main()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_MAINTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/info.png" alt="info" border="0"></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><b><?=_FCC_MAINSERVER?></b><?=$_SERVER["SERVER_SOFTWARE"]?> &#045;&#045;&#062;&#062; <a href="javascript:;" onclick="window.open('sections/<?=$_GET['mod']?>/none_tools/phpinfo.php');">PHPInfo( )</a></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><b><?=_FCC_MAINUSERAGENT?></b><?=$_SERVER["HTTP_USER_AGENT"]?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><b><?=_FCC_MAINSERVERSPACE?></b><?echo round(disk_free_space(".")/1024/1024,2)." Mb";?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><b><?=_FCC_MAINSITESPACE?></b><?echo round(fncc_getsize(".")/1024/1024,2)." Mb";?></td></tr>
	<?
	}

/*
 * Restituisce la dimensione di una directory (versione modificata della funzione in Flatbackup di Aldo Boccacci <zorba_ (AT) tin.it>)
 */
function fncc_getsize($dirpath)
	{ require_once("sections/".$_GET['mod']."/none_flatbackup/DeepDir.php");
	$totalsize = 0;
	$dir = new DeepDir();
	$dir->setDir($dirpath);
	$dir->load();
	foreach( $dir->files as $n => $pathToFile )
		$totalsize += filesize($pathToFile);
	return $totalsize;
	}

/*
 * Visualizza la maschera di modifica del file di configurazione generale di FlatNuke
 */
function fncc_confgenerale()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ1ATITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kcontrol.png" alt="config" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1AEXPLODE?>/config.php.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("config.php","by_fields"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del messaggio di benvenuto
 */
function fncc_motd()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ1BTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kedit.png" alt="motd" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1BEXPLODE?>/misc/motd.php.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("misc/motd.php","by_body"); ?></td></tr>
	<?
	}

/*
 * Permette di accedere a PHPFM, filemanager per gestire online i files del proprio sito (informazioni licenza nel readme)
 */
function fncc_ftp()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ1CTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kfm.png" alt="PHPFM" border="0"></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1CEXPLODE?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di gestione dei blocchi laterali di FlatNuke
 */
function fncc_blocks()
	{ #$t1 = fncc_getmicrotime(); // TEST BENCHMARK
	global $bgcolor1;
	// array blocchi sx con percorso assoluto (es: /blocks/dx/02_Login.php)
	$i = 0;
	foreach (glob("blocks/sx/*.php") as $filename)
		{ $arrsx_filefull[$i] = $filename;
		$i++;
		} #print_r($arrsx_filefull); print(count($arrsx_filefull)); // TEST
	// array blocchi dx con percorso assoluto (es: /blocks/dx/02_Login.php)
	$i = 0;
	foreach (glob("blocks/dx/*.php") as $filename)
		{ $arrdx_filefull[$i] = $filename;
		$i++;
		}
	// array blocchi sx con posizione e nome assoluto (es: 02 - Login)
	for($i=0;$i<count($arrsx_filefull);$i++)
		{ $arrsx_fileord[0][$i] = substr(basename($arrsx_filefull[$i]),0,strpos(basename($arrsx_filefull[$i]),'_'));	// posizione
		$arrsx_fileord[1][$i] = str_replace(".php","",substr($arrsx_filefull[$i],strpos($arrsx_filefull[$i],'_')+1));	// nome
		} #echo "<br>"; print_r($arrsx_fileord); // TEST
	// array blocchi dx con posizione e nome assoluto (es: 02 - Login)
	for($i=0;$i<count($arrdx_filefull);$i++)
		{ $arrdx_fileord[0][$i] = substr(basename($arrdx_filefull[$i]),0,strpos(basename($arrdx_filefull[$i]),'_'));	// posizione
		$arrdx_fileord[1][$i] = str_replace(".php","",substr($arrdx_filefull[$i],strpos($arrdx_filefull[$i],'_')+1));	// nome
		}
	?>
	<tr><td><?=_FCC_OPZ1DTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kcmdf.png" alt="blocks" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1DEXPLODE?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>">
	<!-- ******* riordina blocchi ******* -->
	  <br><hr>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_update.png" alt="ord_block" align="middle" border="0"> <b><?=_FCC_OPZ1DORDBLOCK?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="ordblock">		<!-- metodo da utilizzare -->
	  <input type="hidden" name="ord_blockside" value="sx">			<!-- lato dei blocchi -->
	  <blockquote><table><tbody><tr valign="top">
	  <td width="45%">
	  <table><tbody>
	  <tr><td rowSpan="1" colspan="2" align="center"><?=_FCC_OPZ1DLEFT?></td></tr>
	  <? for($n=0;$n<count($arrsx_filefull);$n++)
	  	{ ?>
	  	<tr><td>
	  	<select name="ord_blockord<?=$n?>">				<!-- nuovo ordine -->
	  	<? if(substr($arrsx_fileord[0][$n],0,4) == "none")
			echo "<option value=\"none\">"._FCC_OPZ1DHIDDEN."</option>";
		else echo "<option value=\"".$arrsx_fileord[0][$n]."\">".$arrsx_fileord[0][$n]."</option>";
		?>
	  	<option value="none"><?=_FCC_OPZ1DHIDDEN?></option>
	  	<? for($i=1;$i<=15;$i++)
	  		{ if($i<10) echo "<option value=\"0$i\">0$i</option>";
	  		else echo "<option value=\"$i\">$i</option>";
	  		} ?>
	  	</select>&nbsp;<?=$arrsx_fileord[1][$n]?>
	  	</td></tr>
	  	<? }
	  	if(is_writeable("blocks/sx"))	// controllo permessi di scrittura
	  		{ ?><tr><td rowSpan="1" colspan="2" align="center"><br><input type="submit"></form></td></tr><?
	  		}
	  	else { ?><tr><td rowSpan="1" colspan="2" align="center"><br><FONT color="red"><b><?=_FCC_WARNINGDIRNOTWR?></b></FONT></form></td></tr><? }?>
	  </tbody></table>
	  </td>
	  <td width="10%"></td>
	  <td width="45%">
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="ordblock">		<!-- metodo da utilizzare -->
	  <input type="hidden" name="ord_blockside" value="dx">			<!-- lato dei blocchi -->
	  <table><tbody>
	  <tr><td rowSpan="1" colspan="2" align="center"><?=_FCC_OPZ1DRIGHT?></td></tr>
	  <? for($n=0;$n<count($arrdx_filefull);$n++)
	  	{ ?>
	  	<tr align="right"><td><?=$arrdx_fileord[1][$n]?>&nbsp;
	  	<select name="ord_blockord<?=$n?>">				<!-- nuovo ordine -->
	  	<? if(substr($arrdx_fileord[0][$n],0,4) == "none")
			echo "<option value=\"none\">"._FCC_OPZ1DHIDDEN."</option>";
		else echo "<option value=\"".$arrdx_fileord[0][$n]."\">".$arrdx_fileord[0][$n]."</option>";
		?>
	  	<option value="none"><?=_FCC_OPZ1DHIDDEN?></option>
	  	<? for($i=1;$i<=15;$i++)
	  		{ if($i<10) echo "<option value=\"0$i\">0$i</option>";
	  		else echo "<option value=\"$i\">$i</option>";
	  		} ?>
	  	</select>
	  	</td></tr>
	  	<? }
	  	if(is_writeable("blocks/dx"))	// controllo permessi di scrittura
	  		{ ?><tr><td rowSpan="1" colspan="2" align="center"><br><input type="submit"></form></td></tr><?
	  		}
	  	else { ?><tr><td rowSpan="1" colspan="2" align="center"><br><FONT color="red"><b><?=_FCC_WARNINGDIRNOTWR?></b></FONT></form></td></tr><? }?>
	  </tbody></table>
	  </td>
	  </tr></tbody></table></blockquote>
	<!-- ******* creazione nuovo blocco ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_add.png" alt="add_block" align="middle" border="0"> <b><?=_FCC_OPZ1DNEWBLOCK?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="newblock">		<!-- metodo da utilizzare -->
	  <blockquote><table><tbody>
	  <tr><td align="right"><input type="text" name="new_blockname" size="11" maxlength="20"></td><td><?=_FCC_OPZ1DNEWBLOCKNAME?></td></tr>
	  <tr><td align="right"><select name="new_blocknum">
	  <option value="none"><?=_FCC_OPZ1DHIDDEN?></option>
	  <? for($i=1;$i<=15;$i++)
	  	{ if($i<10) echo "<option value=\"0$i\">0$i</option>";
	  	else echo "<option value=\"$i\">$i</option>";
	  	} ?>
	  </select></td><td><?=_FCC_OPZ1DNEWBLOCKNUM?></td></tr>
	  <tr><td align="right"><select name="new_blockside">
	  	<option value="sx"><?=_FCC_OPZ1DLEFT?></option>
	  	<option value="dx"><?=_FCC_OPZ1DRIGHT?></option>
	  </select></td><td><?=_FCC_OPZ1DNEWBLOCKSIDE?></td></tr>
	  </tbody></table></blockquote>
	  <? if(is_writeable("blocks/sx") AND is_writeable("blocks/dx"))	// controllo permessi di scrittura
	  	{ ?><div align="center"><input type="submit"></div><?
	  	}
	  else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></div><? } ?>
	  </form>
	<!-- ******* spostamento blocco ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_move.png" alt="move_block" align="middle" border="0"> <b><?=_FCC_OPZ1DMOVEBLOCK?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="moveblock">		<!-- metodo da utilizzare -->
	  <input type="hidden" name="move_blockside" value="dx">		<!-- lato di destinazione dei blocchi -->
	  <blockquote><table><tbody>
	  <tr><td><?=_FCC_OPZ1DMOVEBLOCKLR?></td>
	  <td align="right"><select name="move_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrsx_filefull);$n++)
	  		echo "<option value=\"".$arrsx_filefull[$n]."\">".$arrsx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <? if(is_writeable("blocks/sx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr>
	  <tr><td align="right"><?=_FCC_OPZ1DMOVEBLOCKRL?></td>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="moveblock">		<!-- metodo da utilizzare -->
	  <input type="hidden" name="move_blockside" value="sx">		<!-- lato di destinazione dei blocchi -->
	  <td><select name="move_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrdx_filefull);$n++)
	  		echo "<option value=\"".$arrdx_filefull[$n]."\">".$arrdx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <? if(is_writeable("blocks/dx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr></tbody></table></blockquote>
	<!-- ******* modifica blocco ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_edit.png" alt="edit_block" align="middle" border="0"> <b><?=_FCC_OPZ1DMODBLOCK?></b>
	  <form action="index.php?mod=<?=$_GET['mod']?>&amp;target=<?=$_GET['target']?>" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <blockquote><table><tbody>
	  <tr><td><?=_FCC_OPZ1DLEFT?></td>
	  <td align="right"><select name="edit_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrsx_filefull);$n++)
	  		echo "<option value=\"".$arrsx_filefull[$n]."\">".$arrsx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <td align="right">
	  	<input type="radio" name="edit_blockmod" value="<?=_FCC_OPZ1DMODRENAME?>" checked><?=_FCC_OPZ1DMODRENAME?></input>
	  	<input type="radio" name="edit_blockmod" value="<?=_FCC_OPZ1DMODEDIT?>"><?=_FCC_OPZ1DMODEDIT?></input>
	  </td>
	  <? if(is_writeable("blocks/sx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr>
	  <tr><td align="right"><?=_FCC_OPZ1DRIGHT?></td>
	  <form action="index.php?mod=<?=$_GET['mod']?>&amp;target=<?=$_GET['target']?>" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <td align="right"><select name="edit_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrdx_filefull);$n++)
	  		echo "<option value=\"".$arrdx_filefull[$n]."\">".$arrdx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <td align="right">
	  	<input type="radio" name="edit_blockmod" value="<?=_FCC_OPZ1DMODRENAME?>" checked><?=_FCC_OPZ1DMODRENAME?></input>
	  	<input type="radio" name="edit_blockmod" value="<?=_FCC_OPZ1DMODEDIT?>"><?=_FCC_OPZ1DMODEDIT?></input>
	  </td>
	  <? if(is_writeable("blocks/dx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr></tbody></table></blockquote>
	  <? if(isset($_POST['edit_blockmod']))
	  { if($_POST['edit_blockmod']==_FCC_OPZ1DMODEDIT AND trim($_POST['edit_blockname'])!="")
	  	{ ?><table><tbody><tr><td><?= fncc_editconffile($_POST['edit_blockname'],"by_body"); ?></td></tr></tbody></table><?
	  	}
	  else if($_POST['edit_blockmod']==_FCC_OPZ1DMODRENAME AND trim($_POST['edit_blockname'])!="")
	  	{ ?><table><tbody><tr><td><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="renameblock">	<!-- metodo da utilizzare -->
		<input type="hidden" name="renblockname_old" value="<?=$_POST['edit_blockname']?>">
	  	<?=_FCC_OPZ1DMODRENAMENEW?> "<?=str_replace(".php","",substr($_POST['edit_blockname'],strpos($_POST['edit_blockname'],'_')+1))?>":&nbsp;
		<input type="text" name="renblockname_new" value="<?=str_replace(".php","",substr($_POST['edit_blockname'],strpos($_POST['edit_blockname'],'_')+1))?>" size="20" maxlength="20">
	  	&nbsp;<input type="submit">
	  	</form></td></tr></tbody></table><?
	  	}
	  }
	  ?>
	<!-- ******* eliminazione blocco ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_remove.png" alt="del_block" align="middle" border="0"> <b><?=_FCC_OPZ1DDELBLOCK?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="delblock">		<!-- metodo da utilizzare -->
	  <blockquote><table><tbody>
	  <tr><td><?=_FCC_OPZ1DLEFT?></td>
	  <td align="right"><select name="del_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrsx_filefull);$n++)
	  		echo "<option value=\"".$arrsx_filefull[$n]."\">".$arrsx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <? if(is_writeable("blocks/sx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr>
	  <tr><td align="right"><?=_FCC_OPZ1DRIGHT?></td>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="delblock">		<!-- metodo da utilizzare -->
	  <td><select name="del_blockname">
	  	<option></option>
	  	<? for($n=0;$n<count($arrdx_filefull);$n++)
	  		echo "<option value=\"".$arrdx_filefull[$n]."\">".$arrdx_fileord[1][$n]."</option>";
	  	?>
	  </select></td>
	  <? if(is_writeable("blocks/dx"))					// controllo permessi di scrittura
	  	{ ?><td><input type="submit"></form></td><?
	  	}
	  else { ?><td><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form></td><? } ?>
	  </tr></tbody></table></blockquote>
	  <hr>
	  <? #$t2 = fncc_getmicrotime(); echo abs($t2-$t1)." secondi"; // TEST BENCHMARK ?>
	</td></tr>
	<?
	}

/*
 * Visualizza la maschera di gestione delle sezioni di FlatNuke
 */
function fncc_sections()
	{ global $bgcolor1;
	// array delle sezioni
	$i = 0;
	$d = dir("sections");
	while ($read = $d->read())
		{ if($read != "." && $read != "..")
			$arr_sezioni[$i] = $read;
		$i++;
		}
	$d->close();
	sort($arr_sezioni); #print_r($arr_sezioni); echo "<hr>"; //TEST
	// array sezioni con posizione e nome assoluto (es: 01 - Archivio_News)
	for($i=0;$i<count($arr_sezioni);$i++)
		{ if(substr($arr_sezioni[$i],2,1)=="_" OR substr($arr_sezioni[$i],4,1)=="_")
			{ $arrsez_ord[0][$i] = substr($arr_sezioni[$i],0,strpos($arr_sezioni[$i],'_'));	// posizione
			$arrsez_ord[1][$i] = substr($arr_sezioni[$i],strpos($arr_sezioni[$i],'_')+1);	// nome
			}
		else { $arrsez_ord[0][$i] = "";	// posizione
			$arrsez_ord[1][$i] = $arr_sezioni[$i];	// nome
			}
		} #print_r($arrsez_ord); echo "<hr>"; // TEST
	// array[0][N] con tutte le directories, array[1][N] con tutti i files della dir passata
	include_once "sections/".$_GET['mod']."/none_tools/Find.php";
	$dir = new File_Find();
	$maptree = $dir->maptree('sections');
	sort($maptree[0]); #for($i=0;$i<count($maptree[0]);$i++) print $maptree[0][$i]."<br>"; // TEST
	sort($maptree[1]);
	?>
	<tr><td><?=_FCC_OPZ1ETITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/window_list.png" alt="sections" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1EEXPLODE?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>">
	<!-- ******* riordina sezioni ******* -->
	  <br><hr>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_update.png" alt="ord_sections" align="middle" border="0"> <b><?=_FCC_OPZ1ESEZORD?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="ordsections">		<!-- metodo da utilizzare -->
	  <blockquote><table width="100%"><tbody>
	  <? for($n=0;$n<count($arr_sezioni);$n++)
	  	{ ?>
	  	<tr><td>
	  	<select name="ord_sectionord<?=$n?>">				<!-- nuovo ordine -->
	  	<? if(substr($arrsez_ord[0][$n],0,4) == "none")
			echo "<option value=\"none\">"._FCC_OPZ1DHIDDEN."</option>";
		else echo "<option value=\"".$arrsez_ord[0][$n]."\">".$arrsez_ord[0][$n]."</option>";
		?>
	  	<option value=""></option>
		<option value="none"><?=_FCC_OPZ1DHIDDEN?></option>
	  	<? for($i=1;$i<=15;$i++)
	  		{ if($i<10) echo "<option value=\"0$i\">0$i</option>";
	  		else echo "<option value=\"$i\">$i</option>";
	  		} ?>
	  	</select>&nbsp;<?=str_replace("_"," ",$arrsez_ord[1][$n])?>
	  	</td></tr>
	  	<? } ?>
	  </tbody></table></blockquote>
	  <? if(is_writeable("sections"))	// controllo permessi di scrittura
	  	{ ?><div align="center"><input type="submit"></div><?
	  	}
	  else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></div><? } ?>
	  </form>
	<!-- ******* creazione nuova sezione ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_add.png" alt="add_section" align="middle" border="0"> <b><?=_FCC_OPZ1ESEZNEW?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="newsection">		<!-- metodo da utilizzare -->
	  <blockquote><table><tbody>
	  <tr><td align="right"><input type="text" name="new_sectionname" size="11" maxlength="20"></td><td><?=_FCC_OPZ1ESEZNEWNAME?></td></tr>
	  <tr><td align="right"><select name="new_sectionnum">
	  <option value=""></option>
	  <option value="none"><?=_FCC_OPZ1DHIDDEN?></option>
	  <? for($i=1;$i<=15;$i++)
	  	{ if($i<10) echo "<option value=\"0$i\">0$i</option>";
	  	else echo "<option value=\"$i\">$i</option>";
	  	} ?>
	  </select></td><td><?=_FCC_OPZ1ESEZNEWORD?></td></tr>
	  </tbody></table>
	  <br><?=_FCC_OPZ1ESEZNEWDIR?><br>
	  <select name="new_sectionsubdir">
	  	<? for($n=0;$n<count($maptree[0]);$n++)
	  		echo "<option value=\"".$maptree[0][$n]."\">".$maptree[0][$n]."</option>";
	  	?>
	  </select>
	  </blockquote>
	  <? if(is_writeable("sections"))	// controllo permessi di scrittura
	  	{ ?><div align="center"><input type="submit"></div><?
	  	}
	  else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></div><? } ?>
	  </form>
	<!-- ******* modifica sezione ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_edit.png" alt="edit_section" align="middle" border="0"> <b><?=_FCC_OPZ1ESEZMOD?></b>
	  <form action="index.php?mod=<?=$_GET['mod']?>&amp;target=<?=$_GET['target']?>" method="POST">
	  <blockquote>
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <select name="edit_sectionname">
	  	<option></option>
	  	<? for($n=0;$n<count($arr_sezioni);$n++)
	  		echo "<option value=\"".$arr_sezioni[$n]."\">".str_replace("_"," ",$arrsez_ord[1][$n])."</option>";
	  	?>
	  </select>
	  <input type="radio" name="edit_sectionmod" value="<?=_FCC_OPZ1DMODRENAME?>" checked><?=_FCC_OPZ1DMODRENAME?></input>
	  <input type="radio" name="edit_sectionmod" value="<?=_FCC_OPZ1DMODEDIT?>"><?=_FCC_OPZ1DMODEDIT?></input>
	  <? if(is_writeable("sections"))					// controllo permessi di scrittura
	  	{ ?><input type="submit"></form><?
	  	}
	  else { ?><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form><? } ?>
	  </blockquote>
	  <? if(isset($_POST['edit_sectionmod']))
	  { if($_POST['edit_sectionmod']==_FCC_OPZ1DMODEDIT AND trim($_POST['edit_sectionname'])!="")
	  	{ ?><table><tbody><tr><td><?= fncc_editconffile("sections/".$_POST['edit_sectionname']."/section.php","by_body"); ?></td></tr></tbody></table><?
	  	}
	  else if($_POST['edit_sectionmod']==_FCC_OPZ1DMODRENAME AND trim($_POST['edit_sectionname'])!="")
	  	{ ?><table><tbody><tr><td><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="renamesection">	<!-- metodo da utilizzare -->
		<input type="hidden" name="rensectionname_old" value="<?=$_POST['edit_sectionname']?>">
		<? if(substr($_POST['edit_sectionname'],2,1)=="_" OR substr($_POST['edit_sectionname'],4,1)=="_")
			{ $sectionnameprint = substr($_POST['edit_sectionname'],strpos($_POST['edit_sectionname'],'_')+1);	// nome
			}
		else { $sectionnameprint = $_POST['edit_sectionname'];	// nome
			}
		?>
	  	<?=_FCC_OPZ1DMODRENAMENEW?> "<?=$sectionnameprint?>":&nbsp;
		<input type="text" name="rensectionname_new" value="<?=$sectionnameprint?>" size="20" maxlength="20">
	  	&nbsp;<input type="submit">
	  	</form></td></tr></tbody></table><?
	  	}
	  }
	  ?>
	<!-- ******* gestione file di una sezione / sotto-sezione ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_status.png" alt="edit_filesection" align="middle" border="0"> <b><?=_FCC_OPZ1ESEZFILE?></b>
	  <form action="index.php?mod=<?=$_GET['mod']?>&amp;target=<?=$_GET['target']?>" method="POST">
	  <blockquote>
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <select name="edit_filesectionname">
	  	<option></option>
		<? for($n=0;$n<count($maptree[1]);$n++)
	  		echo "<option value=\"".$maptree[1][$n]."\">".$maptree[1][$n]."</option>";
	  	?>
	  </select><br>
	  <input type="radio" name="edit_filesectionmod" value="<?=_FCC_OPZ1DMODRENAME?>" checked><?=_FCC_OPZ1DMODRENAME?></input>
	  <input type="radio" name="edit_filesectionmod" value="<?=_FCC_OPZ1DMODEDIT?>"><?=_FCC_OPZ1DMODEDIT?></input>
	  <input type="radio" name="edit_filesectionmod" value="<?=_FCC_OPZ1ESEZCOPY?>"><?=_FCC_OPZ1ESEZCOPY?></input>
	  <input type="radio" name="edit_filesectionmod" value="<?=_FCC_OPZ1ESEZMOVE?>"><?=_FCC_OPZ1ESEZMOVE?></input>
	  <input type="radio" name="edit_filesectionmod" value="<?=_FCC_OPZ1ESEZDLT?>"><?=_FCC_OPZ1ESEZDLT?></input>
	  <? if(is_writeable("sections"))					// controllo permessi di scrittura
	  	{ ?><input type="submit"></form><?
	  	}
	  else { ?><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></form><? } ?>
	  </blockquote>
	  <? if(isset($_POST['edit_filesectionmod']))
	  { if($_POST['edit_filesectionmod']==_FCC_OPZ1DMODEDIT AND trim($_POST['edit_filesectionname'])!="")
	  	{ ?><table><tbody><tr><td><?= fncc_editconffile($_POST['edit_filesectionname'],"by_body"); ?></td></tr></tbody></table><?
	  	}
	  else if($_POST['edit_filesectionmod']==_FCC_OPZ1DMODRENAME AND trim($_POST['edit_filesectionname'])!="")
	  	{ ?><blockquote><table><tbody><tr><td><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="renamefilesection">	<!-- metodo da utilizzare -->
		<input type="hidden" name="renfilesectionname_old" value="<?=$_POST['edit_filesectionname']?>">
	  	<?=_FCC_OPZ1DMODRENAMENEW?> "<?=basename($_POST['edit_filesectionname'])?>":&nbsp;
		<input type="text" name="renfilesectionname_new" value="<?=basename($_POST['edit_filesectionname'])?>" size="20" maxlength="20">
	  	&nbsp;<input type="submit">
	  	</form></td></tr></tbody></table></blockquote><?
	  	}
	  else if($_POST['edit_filesectionmod']==_FCC_OPZ1ESEZCOPY AND trim($_POST['edit_filesectionname'])!="")
	  	{ ?><blockquote><table><tbody><tr><td><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="copyfilesection">	<!-- metodo da utilizzare -->
		<input type="hidden" name="copyfilesectionname" value="<?=$_POST['edit_filesectionname']?>">
	  	<?=_FCC_OPZ1ESEZDIRDEST?>:&nbsp;
		<select name="copy_filesectiondir">
	  		<option></option>
			<? for($n=1;$n<count($maptree[0]);$n++)
	  			echo "<option value=\"".$maptree[0][$n]."\">".$maptree[0][$n]."</option>";
	  		?>
	  	</select>
	  	<br><br><div align="center"><input type="submit"></div>
	  	</form></td></tr></tbody></table></blockquote><?
	  	}
	  else if($_POST['edit_filesectionmod']==_FCC_OPZ1ESEZMOVE AND trim($_POST['edit_filesectionname'])!="")
	  	{ ?><blockquote><table><tbody><tr><td><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="movefilesection">	<!-- metodo da utilizzare -->
		<input type="hidden" name="movefilesectionname" value="<?=$_POST['edit_filesectionname']?>">
	  	<?=_FCC_OPZ1ESEZDIRDEST?>:&nbsp;
		<select name="move_filesectiondir">
	  		<option></option>
			<? for($n=1;$n<count($maptree[0]);$n++)
	  			echo "<option value=\"".$maptree[0][$n]."\">".$maptree[0][$n]."</option>";
	  		?>
	  	</select>
	  	<br><br><div align="center"><input type="submit"></div>
	  	</form></td></tr></tbody></table></blockquote><?
	  	}
	  if($_POST['edit_filesectionmod']==_FCC_OPZ1ESEZDLT AND trim($_POST['edit_filesectionname'])!="")
	  	{ ?><blockquote><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  	<input type="hidden" name="conf_mod" value="delfilesection">	<!-- metodo da utilizzare -->
		<input type="hidden" name="delfilesectionname" value="<?=$_POST['edit_filesectionname']?>">
		<?=_FCC_OPZ1ESEZFILEDEL?>:&nbsp;"<?=$_POST['edit_filesectionname']?>"&nbsp;<input type="submit">
	  	</form></blockquote><?
	  	}
	  }
	  ?>
	<!-- ******* eliminazione sezione ******* -->
	  <hr size="1" noshade>
	  <img src="sections/<?=$_GET['mod']?>/none_images/vcs_remove.png" alt="del_section" align="middle" border="0"> <b><?=_FCC_OPZ1ESEZDEL?></b>
	  <form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	  <input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	  <input type="hidden" name="conf_mod" value="delsection">		<!-- metodo da utilizzare -->
	  <blockquote><table><tbody>
	  <tr><td align="right"><select name="del_sectionname">
	  	<option></option>
	  	<? for($n=1;$n<count($maptree[0]);$n++)
	  		echo "<option value=\"".$maptree[0][$n]."\">".$maptree[0][$n]."</option>";
	  	?>
	  </select></td></tr>
	 </tbody></table></blockquote>
	 <? if(is_writeable("sections"))	// controllo permessi di scrittura
	  	{ ?><div align="center"><input type="submit"></div><?
	  	}
	  else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGDIRNOTWR?></strong></FONT></div><? } ?>
	  </form>
	  <hr>
	</td></tr>
	<?
	}

/*
 * Visualizza maschera di gestione backup del sito (Flatbackup di Aldo Boccacci <zorba_ (AT) tin.it>)
 */
function fncc_backup()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ1FTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/hdd_unmount.png" alt="backup" border="0"></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ1FEXPLODE?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br>
		<? //INIZIO CONFIGURAZIONE
		/* La dimensione massima della directory di cui fare il backup. NOTA BENE: impostare un valore troppo alto potrebbe essere PERICOLOSO! */
		$maxsize = 10000000; # $maxsize = 100; // TEST
		/* Se settata a "1" nei backup vengono esclusi i file presenti nella cartella "forum/users/" */
		$exclude_config_files = 1;
		/* Aggiunge questa stringa al backup per identificarlo pi facilmente. Potete inserire la sigla del vostro sito, ad esempio "doc4it".
		 * Questa variabile pu essere lasciata vuota. La sua lunghezza massima  di 15 caratteri. */
		$sitelabel = "";
		//FINE CONFIGURAZIONE
		require_once("sections/".$_GET['mod']."/none_flatbackup/DeepDir.php");
		include("sections/".$_GET['mod']."/none_flatbackup/flatbackup_func.php");
		section($maxsize, $exclude_config_files, $sitelabel);
		?>
	</td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del file che struttura il tema corrente
 */
function fncc_themestruct()
	{ global $theme, $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ2ATITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kig.png" alt="structure" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ2AEXPLODE?>/themes/<?=$theme?>/structure.php.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("themes/$theme/structure.php","by_body"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del file con le personalizzazioni del tema corrente
 */
function fncc_themestyle()
	{ global $theme, $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ2BTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/gimp.png" alt="theme" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ2BEXPLODE?>/themes/<?=$theme?>/theme.php.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("themes/$theme/theme.php","by_fields"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del foglio di stile CSS del tema corrente
 */
function fncc_themecss()
	{ global $theme, $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ2CTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/stylesheet.png" alt="CSS" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ2CEXPLODE?>/themes/<?=$theme?>/style.css.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("themes/$theme/style.css","by_body"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del sondaggio corrente
 */
function fncc_modpoll()
	{ global $theme, $bgcolor1;
	include ("sections/none_Sondaggio/config.php");
	?>
	<tr><td><?=_FCC_OPZ3ATITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kpercentage.png" alt="poll" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ3AEXPLODE?>/<?=$sondaggio_file_dati?>.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editpoll(); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del file di configuarzione generale di FlatPoll
 */
function fncc_confpoll()
	{ global $theme, $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ3BTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/keduca.png" alt="config" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ3BEXPLODE?>/sections/none_Sondaggio/config.php.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("sections/none_Sondaggio/config.php","by_fields"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di modifica del file con le frasi per il blocco Fortune
 */
function fncc_fortune()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_OPZ4ATITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/kblackbox.png" alt="frasi" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_OPZ4AEXPLODE?>/blocks/sx/fortune/frasi.txt.</td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>"><br><?= fncc_editconffile("blocks/sx/fortune/frasi.txt","by_body"); ?></td></tr>
	<?
	}

/*
 * Visualizza la maschera di avviso sezione riservata all'amministratore
 */
function fncc_onlyadmin()
	{ global $bgcolor1;
	?>
	<tr><td><?=_FCC_ONLYADMINTITOLO?></td></tr>
	<tr><td bgcolor="<?=$bgcolor1?>" align="center"><br><img src="sections/<?=$_GET['mod']?>/none_images/onlyadmin.png" alt="lock" border="0"></td></tr>
	<tr><td align="center" bgcolor="<?=$bgcolor1?>"><br><?=_FCC_ONLYADMINEXPLODE?></td></tr>
	<?
	}

/*
 * Estrae i file di configurazione e li stampa a video per la modifica.
 *
 * @param   string  $file      nome del file
 * @param   string  $method    metodo di layout del file di configurazione: <by_fields> con textfields, <by_body> con textarea unico
 */
function fncc_editconffile($file,$method)
{ if(!file_exists($file))		// controllo che il file esista prima di fare qualsiasi operazione
	echo "<div align=\"center\"><font color=\"red\"><strong>"._FCC_WARNINGNOMODULE."</strong></font></div>";
    else switch($method)						// il file esiste, diversificazione dei casi in base al metodo di editing
	{ case "by_fields":
	?>
	<!-- anteprima file da modificare in area di testo readonly -->
	<strong><?=_FCC_EDITFILESPREVIEW?></strong><br>
	<?
	echo "<textarea readonly cols=\"80\" rows=\"24\">";
		$fp = @fopen($file, "rb");
		print htmlentities(fread($fp, filesize($file)));
		fclose ($fp);
	echo "</textarea>";
	?>
	<br><br>
	<!-- lista dei campi da modificare in textfields -->
	<p><strong><?=_FCC_EDITFILESFIELDS?></strong></p>
	<form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	<table><tbody>
	<?
	$fg = file($file);
	$j = 0;
	// scansione file alla ricerca delle variabili
	for($i=0;$i<count($fg);$i++)
		{ if(eregi("^\\\$.",$fg[$i]))				// prende solo le righe che iniziano col carattere "$"
			{ $line_tmp = explode(";", $fg[$i]);		// cancella eventuali commenti a dx della variabile
			$line = explode("=", $line_tmp[0]);		// separa variabile e valorizzazione
			?>
			<tr>
			  <??>
			  <td align="left">
			    <?=$line[0] ?>
			    <INPUT type="hidden" name="conf_field<?=$j?>" value="<?=$line[0]?>">
			  </td>
			  <td>
			    <input type="text" name="conf_value<?=$j?>" size="50" maxlength="1200" value="<?=htmlentities(trim($line[1],"\" "))?>">
			    <input type="hidden" name="conf_value_old<?=$j?>" value="<?=htmlentities(trim($line[1],"\" "))?>">
			  </td>
			</tr>
			<?
			$j++;
			}
		}
	?>
	</tbody></table><br>
	<input type="hidden" name="conf_file" value="<?=$file?>">	<!-- nome file di configurazione da modificare -->
	<INPUT type="hidden" name="conf_num" value="<?=$j?>">		<!-- numero di campi totali da modificare -->
	<input type="hidden" name="conf_mod" value="<?=$method?>">	<!-- metodo da utilizzare -->
	<?
	if(is_writeable($file))						// controllo permessi di scrittura
		{ ?><div align="center"><strong><?=_FCC_WARNINGDOC?></strong><br><br>
		<INPUT type="submit" value="<?=_MODIFICA?>"></div><?
		}
	else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGRIGHTS?></strong><br><br></FONT></div><? }
	?>
	</form>
	<?
	break;

	case "by_body":
	?>
	<!-- anteprima file da modificare in area di testo -->
	<strong><?=_FCC_EDITFILESBODY?></strong><br>
	<form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	<?
	echo "<textarea cols=\"80\" rows=\"24\" name=\"conf_body\">";
	$fp = @fopen($file, "rb");
	print htmlentities(fread($fp, filesize($file)));
	fclose ($fp);
	echo "</textarea>";
	?>
	<br><br>
	<input type="hidden" name="conf_file" value="<?=$file?>">	<!-- nome file di configurazione da modificare -->
	<input type="hidden" name="conf_mod" value="<?=$method?>">	<!-- metodo da utilizzare -->
	<?
	if(is_writeable($file))						// controllo permessi di scrittura
		{ ?><div align="center"><strong><?=_FCC_WARNINGDOC?></strong><br><br>
		<INPUT type="submit" value="<?=_MODIFICA?>"></div><?
		}
	else { ?><div align="center"><FONT color="red"><strong><?=_FCC_WARNINGRIGHTS?></strong><br><br></FONT></div><? }
	?>
	</form>
	<?
	break;
	}
}

/*
 * Visualizza dati del sondaggio prima della modifica o archiviazione
 */
function fncc_editpoll()
	{ $myforum = $_COOKIE['myforum'];
	global $lang;
	include ("config.php");
	include ("sections/none_Sondaggio/config.php");
	# definizione lingua
  switch($lang)
	{ case "de" OR "en" OR "es":
		include_once ("sections/$mod1/$lang.php");
	break;
	default:
		include_once ("sections/$mod1/it.php");
	}
	if(!fncc_isadmin())	// se non amministratore redirige a risultati sondaggio
		{ ?><SCRIPT LANGUAGE="JavaScript">
			location='index.php?mod=<?=$mod1?>&risultati=1'
		</SCRIPT><?
		}
	?><form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
	<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
	<input type="hidden" name="conf_mod" value="savepoll">	<!-- metodo da utilizzare --><?

	$file_xml = get_file($sondaggio_file_dati);
	$attivo = get_xml_element("fp:attivo",$file_xml);
	$opzioni = get_xml_element("fp:opzioni",$file_xml);
	$opzione = get_xml_array("fp:opzione",$opzioni);

	echo "<br><strong>"._FP_STATOSONDAGGIO."</strong>";	// stato del sondaggio - aperto/chiuso
	if($attivo=="y")
		{ echo "<input type=\"radio\" name=\"fp_stato\" value=\"y\" checked>"._FP_APERTO."</input>";
		echo "<input type=\"radio\" name=\"fp_stato\" value=\"n\">"._FP_CHIUSO."</input><br>";
		}
	else { echo "<input type=\"radio\" name=\"fp_stato\" value=\"y\">"._FP_APERTO."</input>";
		echo "<input type=\"radio\" name=\"fp_stato\" value=\"n\" checked>"._FP_CHIUSO."</input><br>";
		}
	echo "<br><strong>"._FP_DOMANDASONDAGGIO."</strong> ";	// domanda sondaggio
	echo "<input type=\"text\" name=\"salva_domanda\" value=\"".get_xml_element("fp:domanda",$file_xml)."\" size=\"50\"><br><br>";
	echo "<div align=\"justify\">"._FP_ISTRUZIONIMODIFICA."<br><br>";
	echo "<table><tbody>";
	for($n=0; $n<count($opzione); $n++)			// stampa risposte possibili e voti raccolti (max 9)
		{ echo "<tr>";
		echo "<td><strong>"._FP_OPZIONENUM." "; echo $n+1; echo "</strong></td>";
		echo "<td><input type=\"text\" name=\"salva_opzioni".$n."\" value=\"".get_xml_element("fp:testo",$opzione[$n])."\" size=\"30\"></td>";
		echo "<td><strong>"._FP_VOTI."</strong></td>";
		echo "<td><input type=\"text\" name=\"salva_voti".$n."\" value=\"".get_xml_element("fp:voto",$opzione[$n])."\" size=\"5\"></td>";
		echo "</tr>";
		}
	for($n=count($opzione); $n<9; $n++)			// nel caso in cui non tutte e 9 fossero inizializzate
		{ echo "<tr>";
		echo "<td><strong>"._FP_OPZIONENUM." "; echo $n+1; echo "</strong></td>";
		echo "<td><input type=\"text\" name=\"salva_opzioni".$n."\" value=\"\" size=\"30\"></td>";
		echo "<td><strong>"._FP_VOTI."</strong></td>";
		echo "<td><input type=\"text\" name=\"salva_voti".$n."\" value=\"\" size=\"5\"></td>";
		echo "</tr>";
		}
	echo "</tbody></table>";
	// autorizzazione admin per modificare sondaggio
	if(fncc_isadmin())
		{ ?><br>
		<table width="100%"><tbody><tr>
		    <td width="33%">
			<input type="submit" value="<?=_FP_MODIFICA?>">
			</form>
		    </td>
		    <td width="33%">
		    </td>
		    <td width="33%" align="right">
			<form action="sections/<?=$_GET['mod']?>/verify.inc.php" method="POST">
			<input type="hidden" name="post_mod" value="<?=$_GET['mod']?>"><input type="hidden" name="post_target" value="<?=$_GET['target']?>">
			<input type="hidden" name="conf_mod" value="archpoll">	<!-- metodo da utilizzare -->
			<input type="submit" value="<?=_FP_CHIUDIARCHIVIA?>">
			</form>
		    </td>
		</tr></tbody></table>
		<br><?
		}
	else echo "</form>";
	}

/*
 * Funzione benchmark per valutare velocit di esecuzione (in secondi) di porzioni di codice
 */
function fncc_getmicrotime()
	{ $mtime = microtime();
	$mtime = explode(" ",$mtime);
	$mtime = doubleval($mtime[1]) + doubleval($mtime[0]);
	return ($mtime);
	}
?>
