<?

/*
 * FlatNuke Control Center
 * Copyright (C) 2004-2006 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */

/*                 OTHER SOFTWARES INCLUDED: LICENSING
 *
 * Icon images are taken from Crystal SVG beta1 and Kids beta1 themes
 * Copyright (C) Everaldo <everaldo@everaldo.com>, http://www.everaldo.com
 *
 * PHPFM 0.2.3 is developed by Morten Bojsen-Hansen <raz0@worldonline.dk>
 * Copyright (C) 2002 Morten Bojsen-Hansen, http://phpfm.zalon.dk/
 *
 * Flatbackup 0.1.1 is developed by Aldo 'zorba' Boccacci <doc4it(AT)altervista.org>
 * Copyright (C) 2004 Aldo Boccacci, http://doc4it.altervista.org
 *
 * TAR/GZIP/BZIP2/ZIP Archive classes 2.0 is developed by Devin Doucette <darksnoopy@shaw.ca>
 * Copyright (C) 2004 Devin Doucette
 *
 * DeepDir class is developed by Ilya Nemihin <nemilya@mail.ru>
 * Copyright (C) Ilya Nemihin, http://nemilya.narod.ru
 */

/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.7
 * Data      09/07/2006
 */


$vers = "0.8";
$myforum = $_COOKIE['myforum'];
global $bgcolor1, $bgcolor3;

include ("config.php");
include ("sections/".$_GET['mod']."/functions.inc.php");

// previene che il blocco sia eseguito direttamente e redirige a index.php
if (eregi("section.php",$_SERVER['PHP_SELF']))
	{ Header("Location: ../../index.php");
	die();
	}

// opzione di sicurezza!
$req=$_SERVER["REQUEST_URI"];
if(strstr($req,"myforum="))
	die(_NONPUOI);

# definizione lingua
if ($lang=="")
	include ("sections/".$_GET['mod']."/none_languages/it.php");
else include ("sections/".$_GET['mod']."/none_languages/$lang.php");

?>

<!-- tabella generale -->
<table width="100%" bgcolor="<?=$bgcolor1?>">
  <tbody>
    <!-- header: info utente che accede a fncc -->
    <tr>
      <td rowSpan="1" colspan="2" bgcolor="<?=$bgcolor3?>" align="center">
      <?=_FCC_WELCOME?><strong><?=$myforum?></strong><?=_FCC_WELCOMELEVEL?><?=getlevel($myforum,"home")?>
      </td>
    </tr>
    <!-- body: menu a sinistra con lista opzioni, cella a destra per esplosione opzione scelta-->
    <tr>
      <td width="150" valign="top"><? fncc_menusx(); ?></td>
      <td valign="top"><? fncc_optionexplode(); ?></td>
    </tr>
    <!-- footer: note copyright -->
    <tr>
      <td rowSpan="1" colspan="2" bgcolor="<?=$bgcolor3?>" align="center">
      Powered by <a href="http://marcosegato.altervista.org" target="_blank">FlatNuke Control Center</a> v<?=$vers?> | Copyright &#169; 2004-2005 Marco Segato</a>
      </td>
    </tr>
  </tbody>
</table>

<?

/*
 * Crea il menu di sinistra con tutte le opzioni
 */
function fncc_menusx()
	{ global $bgcolor1, $bgcolor3;
	?>
	<table cellspacing="1" bgcolor="<?=$bgcolor3?>">
	  <tbody>
	    <tr align="center">				<!-- MAIN -->
	      <td bgcolor="<?=$bgcolor1?>">
	        &#8226; <a href="<?="index.php?mod=".$_GET['mod']?>" style="text-decoration:none;">MAIN</a> &#8226;
	      </td>
	    </tr>
	    <tr><td>&#8226; <?=_FCC_TITOLO1?></td></tr>	<!-- OPZIONI FLATNUKE -->
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- configurazione generale (config.php) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione1a"?>" style="text-decoration:none;"><?=_FCC_OPZIONE1A?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- modifica benvenuto (motd.php) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione1b"?>" style="text-decoration:none;"><?=_FCC_OPZIONE1B?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- php file manager -->
	        <? if(fncc_isadmin())	 // amministratore
			echo "<a href=\"index.php?mod=".$_GET['mod']."&amp;target=opzione1c\" style=\"text-decoration:none;\" onclick=\"window.open('sections/".$_GET['mod']."/none_ftp/index.php');\">Php File Manager</a>";
		else echo "<a href=\"index.php?mod=".$_GET['mod']."&amp;target=opzione1c\" style=\"text-decoration:none;\">Php File Manager</a>";?>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- gestione blocchi -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione1d"?>" style="text-decoration:none;"><?=_FCC_OPZIONE1D?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- gestione sezioni -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione1e"?>" style="text-decoration:none;"><?=_FCC_OPZIONE1E?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- flatnuke backup -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione1f"?>" style="text-decoration:none;"><?=_FCC_OPZIONE1F?></a>
	      </td>
	    </tr>
	    <tr><td>&#8226; <?=_FCC_TITOLO2?></td></tr>	<!-- OPZIONI TEMA -->
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- struttura tema (structure.php) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione2a"?>" style="text-decoration:none;"><?=_FCC_OPZIONE2A?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- personalizzazione tema (theme.php)  -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione2b"?>" style="text-decoration:none;"><?=_FCC_OPZIONE2B?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- css tema (style.css) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione2c"?>" style="text-decoration:none;"><?=_FCC_OPZIONE2C?></a>
	      </td>
	    </tr>
	    <tr><td>&#8226; <?=_FCC_TITOLO3?></td></tr>	<!-- OPZIONI FLATPOLL -->
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- modifica sondaggio (sondaggio.xml) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione3a"?>" style="text-decoration:none;"><?=_FCC_OPZIONE3A?></a>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- configurazioen flatpoll (config.php) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione3b"?>" style="text-decoration:none;"><?=_FCC_OPZIONE3B?></a>
	      </td>
	    </tr>
	    <tr><td>&#8226; <?=_FCC_TITOLO4?></td></tr>	<!-- ALTRI BLOCCHI -->
	    <tr>
	      <td bgcolor="<?=$bgcolor1?>">	<!-- blocco fortune (frasi.txt) -->
	        <a href="<?="index.php?mod=".$_GET['mod']."&amp;target=opzione4a"?>" style="text-decoration:none;"><?=_FCC_OPZIONE4A?></a>
	      </td>
	    </tr>
	  </tbody>
	</table>
	<?
	}

/*
 * Esplosione dell'opzione scelta:
 * - se l'utente e' amministratore (livello 10), in base all'opzione scelta viene eseguita la funzione corrispondente;
 * - se l'utente e' uno user di livello < 10, viene richiamata una funzione di avviso per permessi non sufficienti.
 */
function fncc_optionexplode()
	{ global $bgcolor3;
	?>
	<table width="100%" cellspacing="0" bgcolor="<?=$bgcolor3?>">
	  <tbody>
	<?
	if(fncc_isadmin())	 // amministratore
		{ if(!isset($_GET['target']))
			fncc_main();
			else switch($_GET['target'])
				{ case "opzione1a": fncc_confgenerale(); break;	// configurazione generale
				case "opzione1b": fncc_motd(); break;		// modifica benvenuto
				case "opzione1c": fncc_ftp();  break;		// php file manager
				case "opzione1d": fncc_blocks(); break;		// gestione blocchi
				case "opzione1e": fncc_sections(); break;	// gestione sezioni
				case "opzione1f": fncc_backup(); break;		// flatnuke backup
				/*----------------------------------------------*/
				case "opzione2a": fncc_themestruct(); break;	// struttura tema
				case "opzione2b": fncc_themestyle(); break;	// personalizzazione tema
				case "opzione2c": fncc_themecss(); break;	// css tema
				/*----------------------------------------------*/
				case "opzione3a": fncc_modpoll(); break;	// modifica sondaggio
				case "opzione3b": fncc_confpoll(); break;	// configurazione flatpoll
				/*----------------------------------------------*/
				case "opzione4a": fncc_fortune(); break;	// blocco fortune
				}
		}
	else fncc_onlyadmin(); // user livello < 10
	?>
	  </tbody>
	</table>
	<?
	}
	?>

<br>
