<?

/*
 * FlatNuke Control Center
 * Copyright (C) 2004-2006 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */

/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.7
 * Data      09/07/2006
 */

/*                 OTHER SOFTWARES INCLUDED: LICENSING
 *
 * Icon images are taken from Crystal SVG beta1 and Kids beta1 themes
 * Copyright (C) Everaldo <everaldo@everaldo.com>, http://www.everaldo.com
 *
 * PHPFM 0.2.3 is developed by Morten Bojsen-Hansen <raz0@worldonline.dk>
 * Copyright (C) 2002 Morten Bojsen-Hansen, http://phpfm.zalon.dk/
 *
 * Flatbackup 0.1.1 is developed by Aldo 'zorba' Boccacci <doc4it(AT)altervista.org>
 * Copyright (C) 2004 Aldo Boccacci, http://doc4it.altervista.org
 *
 * TAR/GZIP/BZIP2/ZIP Archive classes 2.0 is developed by Devin Doucette <darksnoopy@shaw.ca>
 * Copyright (C) 2004 Devin Doucette
 *
 * DeepDir class is developed by Ilya Nemihin <nemilya@mail.ru>
 * Copyright (C) Ilya Nemihin, http://nemilya.narod.ru
 *
 * rmdirr 1.0.1 function is developed by Aidan Lister <aidan@php.net>
 * Copyright (C) Aidan Lister, http://aidan.dotgeek.org/lib/
 */


// porto tutti i riferimenti alla root di installazione
chdir("../../");

include ("config.php");

// definizione lingua
if ($lang=="")
	include ("languages/it.php");
else include ("languages/$lang.php");

// opzione di sicurezza!
$req=$_SERVER["REQUEST_URI"];
if(strstr($req,"myforum="))
	die(_NONPUOI);

/* selezione metodo elaborazione dati */
switch($_POST['conf_mod'])
	{
	/***************************************************
	***** SALVATAGGIO FILE TESTO PER CAMPI SINGOLI *****
	****************************************************/
	case "by_fields":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	/* print_r($_POST); echo "<hr>";
	for($i=0;$i<$_POST['conf_num'];$i++)
		echo $_POST["conf_field$i"]." ".$_POST["conf_value$i"]."<br>"; // ONLY 4 TEST */
	$fd = file($_POST['conf_file']);
	$j = 0;
	$new_file = "";
	// scansione file alla ricerca delle variabili
	for($i=0;$i<count($fd);$i++)
		{ if(eregi("^\\".$_POST["conf_field$j"].".",$fd[$i]))
			{ //echo $fd[$i]." ".$_POST["conf_field$j"]." <FONT color=\"red\">ok</FONT><br>"; // ONLY 4 TEST
			// str_replace("c","p","cane"); // trasforma cane in pane
			$new_file .= str_replace($_POST["conf_value_old$j"],$_POST["conf_value$j"],$fd[$i]) ;
			if($j<($_POST['conf_num']-1))
				$j++;
			}
		else	{ //echo $fd[$i]." ".$_POST["conf_field$j"]." <FONT color=\"blue\">no</FONT><br>"; // ONLY 4 TEST
			$new_file .= $fd[$i];
			}
		}
	$fd = @fopen (stripslashes($_POST['conf_file']), "wb");
	// questa write non sembra aver bisogno di un controllo su accesso concorrente
	// il centro di controllo puo` essere utilizzato solo dall'admin
	fwrite($fd, $new_file);
	fclose($fd);
	?><script language="javascript">alert('<?=_FCC_WARNINGFILEWR?>');</script><?
	break;

	/**************************************************
	***** SALVATAGGIO FILE TESTO PER CORPO INTERO *****
	***************************************************/
	case "by_body":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	$new_body = stripslashes($_POST['conf_body']);
	$fd = @fopen (stripslashes($_POST['conf_file']), "wb");
	// questa write non sembra aver bisogno di un controllo su accesso concorrente
	// il centro di controllo puo` essere utilizzato solo dall'admin
	fwrite($fd, $new_body);
	fclose($fd);
	?><script language="javascript">alert('<?=_FCC_WARNINGFILEWR?>');</script><?
	break;

	/*******************************************
	***** ORDINAMENTO DEI BLOCCHI LATERALI *****
	********************************************/
	case "ordblock":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	$n = 0;
	foreach (glob("blocks/".$_POST['ord_blockside']."/*.php") as $filename)
		{ if((fileperms($filename) & 0777) >= 0444)
			rename($filename, dirname($filename)."/".$_POST["ord_blockord$n"]."_".substr($filename,strpos($filename,'_')+1));
		else { ?><script language="javascript">alert('<?=_FCC_WARNINGRIGHTS?>');</script><? }
		$n++;
		}
	break;

	/******************************************
	***** CREAZIONE NUOVO BLOCCO LATERALE *****
	*******************************************/
	case "newblock":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	$new_block_name = "blocks/".$_POST['new_blockside']."/".$_POST['new_blocknum']."_".$_POST['new_blockname'].".php";
	if(trim($_POST['new_blockname'])!="" AND !file_exists($new_block_name))
		{ $fblock = @fopen($new_block_name,"w");
		@fclose($fblock);
		?><script language="javascript">alert('<?=_FCC_OPZ1DNEWBLOCKOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1DBLOCKEXIST?>');</script><? }
	break;

	/*******************************************
	***** SPOSTAMENTO DEI BLOCCHI LATERALI *****
	********************************************/
	case "moveblock":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['move_blockname'])!="" AND (fileperms($_POST['move_blockname']) & 0777) >= 0444 AND !file_exists("blocks/".$_POST['move_blockside']."/".basename($_POST['move_blockname'])))
		{ rename($_POST['move_blockname'], "blocks/".$_POST['move_blockside']."/".basename($_POST['move_blockname']));
		?><script language="javascript">alert('<?=_FCC_OPZ1DMOVEBLOCKOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1DBLOCKEXIST?>');</script><? }
	break;

	/*****************************************
	***** RINOMINA DI UN BLOCCO LATERALE *****
	******************************************/
	case "renameblock":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['renblockname_new'])!="" AND (fileperms($_POST['renblockname_old']) & 0777) >= 0444 AND !eregi($_POST['renblockname_new'].".php",$_POST['renblockname_old']))
		{ rename($_POST['renblockname_old'], str_replace(str_replace(".php","",substr($_POST['renblockname_old'],strpos($_POST['renblockname_old'],'_')+1)),$_POST['renblockname_new'],$_POST['renblockname_old']));
		?><script language="javascript">alert('<?=_FCC_OPZ1DRENBLOCKOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1DBLOCKEXIST?>');</script><? }
	break;

	/*********************************************
	***** ELIMINAZIONE DI UN BLOCCO LATERALE *****
	**********************************************/
	case "delblock":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['del_blockname'])!="" AND is_writeable($_POST['del_blockname']))
		{ unlink($_POST['del_blockname']);
		?><script language="javascript">alert('<?=_FCC_OPZ1DDELBLOCKOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1DBLOCKUNWR?>');</script><? }
	break;

	/************************************
	***** ORDINAMENTO DELLE SEZIONI *****
	*************************************/
	case "ordsections":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	// array delle sezioni
	$i = 0;
	$d = dir("sections");
	while ($read = $d->read())
		{ if($read != "." && $read != "..")
			$arr_sezioni[$i] = $read;
		$i++;
		}
	$d->close();
	sort($arr_sezioni);
	$n = 0;
	foreach ($arr_sezioni as $filename)
		{ if((fileperms("sections/$filename") & 0777) >= 0444)
			{ if($_POST["ord_sectionord$n"] == "")
				{ if(substr($filename,2,1)=="_" OR substr($filename,4,1)=="_")
					rename("sections/$filename","sections/".substr($filename,strpos($filename,'_')+1));
				}
			else if(substr($filename,2,1)=="_" OR substr($filename,4,1)=="_")
				rename("sections/$filename", "sections/".$_POST["ord_sectionord$n"]."_".substr($filename,strpos($filename,'_')+1));
				else rename("sections/$filename","sections/".$_POST["ord_sectionord$n"]."_$filename");
			}
		else { ?><script language="javascript">alert('<?=_FCC_WARNINGRIGHTS?>');</script><? }
		$n++;
		}
	break;

	/**********************************
	***** CREAZIONE NUOVA SEZIONE *****
	***********************************/
	case "newsection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if($_POST["new_sectionnum"] == "")
		$new_section_name = $_POST['new_sectionsubdir']."/".$_POST['new_sectionname'];
	else $new_section_name = $_POST['new_sectionsubdir']."/".$_POST['new_sectionnum']."_".$_POST['new_sectionname'];
	if(trim($_POST['new_sectionname'])!="" AND !file_exists($new_section_name))
		{ mkdir($new_section_name);
		$fsection = @fopen("$new_section_name/section.php","w");
		@fclose($fsection);
		?><script language="javascript">alert('<?=_FCC_OPZ1ENEWSECTKOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1ENEWSECTNO?>');</script><? }
	break;

	/*******************************
	***** RINOMINA UNA SEZIONE *****
	********************************/
	case "renamesection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['rensectionname_new'])!="" AND (fileperms("sections/".$_POST['rensectionname_old']) & 0777) >= 0444 AND !file_exists("sections/".$_POST['rensectionname_new']))
		{ if(substr($_POST['rensectionname_old'],2,1)=="_" OR substr($_POST['rensectionname_old'],4,1)=="_")
			rename("sections/".$_POST['rensectionname_old'],"sections/".str_replace(substr($_POST['rensectionname_old'],strpos($_POST['rensectionname_old'],'_')+1),$_POST['rensectionname_new'],$_POST['rensectionname_old']));
		else rename("sections/".$_POST['rensectionname_old'],"sections/".$_POST['rensectionname_new']);
		?><script language="javascript">alert('<?=_FCC_OPZ1ERENSECTOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1ENEWSECTNO?>');</script><? }
	break;

	/**********************************************************
	***** RINOMINA IL FILE DI UNA SEZIONE / SOTTO-SEZIONE *****
	***********************************************************/
	case "renamefilesection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['renfilesectionname_new'])!="" AND (fileperms($_POST['renfilesectionname_old']) & 0777) >= 0444 AND !file_exists(dirname($_POST['renfilesectionname_old'])."/".$_POST['renfilesectionname_new']))
		{ rename($_POST['renfilesectionname_old'],dirname($_POST['renfilesectionname_old'])."/".$_POST['renfilesectionname_new']);
		?><script language="javascript">alert('<?=_FCC_OPZ1ERENSECTFILEOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1ERENSECTFILENO?>');</script><? }
	break;

	/********************************************************
	***** SPOSTA IL FILE DI UNA SEZIONE / SOTTO-SEZIONE *****
	*********************************************************/
	case "movefilesection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['movefilesectionname'])!="" AND trim($_POST['move_filesectiondir'])!="" AND is_writeable($_POST['move_filesectiondir']) AND !file_exists($_POST['move_filesectiondir']."/".basename($_POST['movefilesectionname'])))
		{ copy($_POST['movefilesectionname'],$_POST['move_filesectiondir']."/".basename($_POST['movefilesectionname']));
		unlink($_POST['movefilesectionname']);
		?><script language="javascript">alert('<?=_FCC_OPZ1EMOVESECTFILEOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1ERENSECTFILENO?>');</script><? }
	break;

	/********************************************************
	***** COPIA DEL FILE DI UNA SEZIONE / SOTTO-SEZIONE *****
	*********************************************************/
	case "copyfilesection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['copyfilesectionname'])!="" AND trim($_POST['copy_filesectiondir'])!="" AND is_writeable($_POST['copy_filesectiondir']) AND !file_exists($_POST['copy_filesectiondir']."/".basename($_POST['copyfilesectionname'])))
		{ copy($_POST['copyfilesectionname'],$_POST['copy_filesectiondir']."/".basename($_POST['copyfilesectionname']));
		?><script language="javascript">alert('<?=_FCC_OPZ1ECOPYSECTFILEOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1ERENSECTFILENO?>');</script><? }
	break;

	/***************************************************************
	***** ELIMINAZIONE DEL FILE DI UNA SEZIONE / SOTTO-SEZIONE *****
	****************************************************************/
	case "delfilesection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['delfilesectionname'])!="" AND is_writeable($_POST['delfilesectionname']))
		{ unlink($_POST['delfilesectionname']);
		?><script language="javascript">alert('<?=_FCC_OPZ1EDELSECTFILEOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1EDELSECTFILENO?>');</script><? }
	break;

	/**************************************
	***** ELIMINAZIONE DI UNA SEZIONE *****
	***************************************/
	case "delsection":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	if(trim($_POST['del_sectionname'])!="" AND is_writeable($_POST['del_sectionname']))
		{ rmdirr($_POST['del_sectionname']);
		?><script language="javascript">alert('<?=_FCC_OPZ1EDELSECTOK?>');</script><?
		}
	else { ?><script language="javascript">alert('<?=_FCC_OPZ1EDELSECTNO?>');</script><? }
	break;

	/**************************************
	***** BACKUP DEL PROPRIO FLATNUKE *****
	***************************************/
	case "backup":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	#require_once("sections/".$_POST['post_mod']."/none_flatbackup/ziplib.php");
	require_once("sections/".$_POST['post_mod']."/none_flatbackup/archive.php");
	require_once("sections/".$_POST['post_mod']."/none_flatbackup/DeepDir.php");
	include ("sections/".$_POST['post_mod']."/none_flatbackup/flatbackup_vrfy.php");
	backup($_POST['what'], $_POST['maxsize'], $_POST['exclude_config_files']);
	break;

	/*********************************************************
	***** ELIMINA BACKUP TEMPORANEI DEL PROPRIO FLATNUKE *****
	**********************************************************/
	case "backup_del":
	// definizione lingua
	if ($lang=="")
		include ("sections/".$_POST['post_mod']."/none_languages/it.php");
	else include ("sections/".$_POST['post_mod']."/none_languages/$lang.php");
	include ("sections/".$_POST['post_mod']."/none_flatbackup/flatbackup_vrfy.php");
	delete_backup();
	break;

	/*********************************************
	***** SALVATAGGIO DEL SONDAGGIO CORRENTE *****
	**********************************************/
	case "savepoll":
	include ("shared.php");
	include ("sections/none_Sondaggio/config.php");
	# definizione lingua flatpoll
	if ($lang=="")
		include_once ("sections/$mod1/it.php");
	else include_once ("sections/$mod1/$lang.php");
	$file_xml = get_file($sondaggio_file_dati);
	$opzioni = get_xml_element("fp:opzioni",$file_xml);
	$opzione = get_xml_array("fp:opzione",$opzioni);
	$commenti = get_xml_element("fp:commenti",$file_xml);
	$commento = get_xml_array("fp:commento",$commenti);

	$attivo = $_POST['fp_stato'];

	$array_domanda = $_POST['salva_domanda'];
	$array_opzioni[0] = $_POST['salva_opzioni0']; $array_voti[0] = $_POST['salva_voti0'];
	$array_opzioni[1] = $_POST['salva_opzioni1']; $array_voti[1] = $_POST['salva_voti1'];
	$array_opzioni[2] = $_POST['salva_opzioni2']; $array_voti[2] = $_POST['salva_voti2'];
	$array_opzioni[3] = $_POST['salva_opzioni3']; $array_voti[3] = $_POST['salva_voti3'];
	$array_opzioni[4] = $_POST['salva_opzioni4']; $array_voti[4] = $_POST['salva_voti4'];
	$array_opzioni[5] = $_POST['salva_opzioni5']; $array_voti[5] = $_POST['salva_voti5'];
	$array_opzioni[6] = $_POST['salva_opzioni6']; $array_voti[6] = $_POST['salva_voti6'];
	$array_opzioni[7] = $_POST['salva_opzioni7']; $array_voti[7] = $_POST['salva_voti7'];
	$array_opzioni[8] = $_POST['salva_opzioni8']; $array_voti[8] = $_POST['salva_voti8'];

	$file_xml = "<?xml version='1.0'?>\n<fp:sondaggio>\n";
	$file_xml .= "\t<fp:attivo>$attivo</fp:attivo>\n";
	$file_xml .= "\t<fp:domanda>$array_domanda</fp:domanda>\n";
	$file_xml .= "\t<fp:opzioni>\n";
	for($n=0; $n<9; $n++)
		{ if(!is_numeric($array_voti[$n]))
			$array_voti[$n] = "0";
		if($array_opzioni[$n]!="" and $array_voti[$n]!="")
			{ $file_xml .= "\t\t<fp:opzione>\n";
			$file_xml .= "\t\t\t<fp:testo>".$array_opzioni[$n]."</fp:testo>\n";
			$file_xml .= "\t\t\t<fp:voto>".$array_voti[$n]."</fp:voto>\n";
			$file_xml .= "\t\t</fp:opzione>\n";
			}
		}
	$file_xml .= "\t</fp:opzioni>\n";
	if($commenti != "")
		{ $file_xml .= "\t<fp:commenti>\n";
		for($n=0; $n<count($commento); $n++)
			{ $file_xml .= "\t\t<fp:commento>\n";
			$file_xml .= "\t\t\t<fp:by>".get_xml_element("fp:by",$commento[$n])."</fp:by>\n";
			$file_xml .= "\t\t\t<fp:what>".get_xml_element("fp:what",$commento[$n])."</fp:what>\n";
			$file_xml .= "\t\t</fp:commento>\n";
			}
		$file_xml .= "\t</fp:commenti>\n";
		}
	$file_xml .= "</fp:sondaggio>\n";

	$file_dati_w = fopen($sondaggio_file_dati, "w");
	// accesso modalit esclusiva
	$sem = lock($sondaggio_file_dati);
	fwrite($file_dati_w, stripslashes($file_xml));
	fclose($file_dati_w);
	// fine modalit esclusiva
	unlock($sem);
	echo "<script language=\"javascript\">
			alert(\""._FP_MODIFICAOK."\");
		</script>";
	break;

	/***********************************************
	***** ARCHIVIAZIONE DEL SONDAGGIO CORRENTE *****
	************************************************/
	case "archpoll":
	include ("shared.php");
	include ("sections/none_Sondaggio/config.php");
	# definizione lingua flatpoll
	if ($lang=="")
		include_once ("sections/$mod1/it.php");
	else include_once ("sections/$mod1/$lang.php");
	copy($sondaggio_file_dati, $percorso_vecchi."/".time().".xml"); // archiviazione sondaggio
	$file_w = fopen($sondaggio_file_dati, "w");	// crea nuovo sondaggio vuoto
	//accesso modalit esclusiva
	$sem = lock($sondaggio_file_dati);
	fwrite($file_w,"<?xml version='1.0'?>\n<fp:sondaggio>\n\t<fp:attivo>n</fp:attivo>\n\t<fp:domanda>"._FP_NUOVOSONDAGGIO."</fp:domanda>\n\t<fp:opzioni>\n");
	for($riga=1; $riga<4; $riga++)
		fwrite($file_w, "\t\t<fp:opzione>\n\t\t\t<fp:testo>"._FP_OPZIONE."$riga</fp:testo>\n\t\t\t<fp:voto>$riga</fp:voto>\n\t\t</fp:opzione>\n");
	fwrite($file_w,"\t</fp:opzioni>\n</fp:sondaggio>\n");
	fclose($file_w);
	// fine modalit esclusiva
	unlock($sem);
	$file_ip_w = fopen($sondaggio_ip_file, "w");	// azzeramento IP registrati
	// accesso modalit esclusiva
	$sem = lock($sondaggio_ip_file);
	fwrite($file_ip_w,"<?xml version='1.0'?>\n");
	fclose($file_ip_w);
	// fine modalit esclusiva
	unlock($sem);
	echo "<script language=\"javascript\">
			alert(\""._FP_ARCHIVEOK."\");
		</script>";
	break;
	}
?>

<!-- ritorno al menu dell'opzione di provenienza alla fine di ogni azione -->
<script language="javascript">window.location='../../index.php?mod=<?=$_POST['post_mod']?>&target=<?=$_POST['post_target']?>';</script>
