<?php

/*
 * FlatNuke Control Center
 * Copyright (C) 2004 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */

/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.5
 * Data      26/10/2004
 */

# deutsche bersetzung - Egle Mascolo <egle.m@virgilio.it>, Marco Segato <segatom@yahoo.it>
# vollstndige bersetzung von insites(insites@gmail.com), April 2005 Homepage: http://www.insites.tk

# GENERAL
define ("_FCC_WELCOME",   "Willkommen ");
define ("_FCC_WELCOMELEVEL",  " - Dein Administrationslevel ist ");

# MAIN MENU
define ("_FCC_MAINTITOLO",  "Willkommen im FlatNuke Control Center");
define ("_FCC_MAINSITEURL",  "Die URL dieser Site ist: ");
define ("_FCC_MAINSERVER",  "Verwendeter Server: ");
define ("_FCC_MAINUSERAGENT",  "Browser: ");   //OK in German
define ("_FCC_MAINSERVERSPACE",  "Freier Speicherplatz auf dem Server: ");
define ("_FCC_MAINSITESPACE",  "Augenblickliche Grsse der Site: ");

#  GROUP OPTIONS 1
define ("_FCC_TITOLO1",   "FlatNuke Einstellungen");
define ("_FCC_OPZIONE1A",  "Allgemeine Einstellungen");
define ("_FCC_OPZIONE1B",  "Willkommenstext ndern");
define ("_FCC_OPZIONE1D",  "Blcke verwalten");
define ("_FCC_OPZIONE1E",  "Sektionen verwalten");
define ("_FCC_OPZIONE1F",  "Flatnuke backup");     //OK in German
define ("_FCC_OPZ1ATITOLO",  "Allgemeine FlatNuke Konfiguration");
define ("_FCC_OPZ1AEXPLODE",  "Die FlatNuke-Konfigurationsdatei ist: ");
define ("_FCC_OPZ1BTITOLO",  "Willkommenstext bearbeiten");
define ("_FCC_OPZ1BEXPLODE",  "Die Datei, die den Willkommenstext beinhaltet ist: ");
define ("_FCC_OPZ1CTITOLO",  "Deine Dateien Online mit PHPFM verwalten");
define ("_FCC_OPZ1CEXPLODE",  "PHPFM ist ein Open Source PHP-Dateimanager; momentan kann man damit:
     <ul type=\"circle\" compact>
       <li>Ordner erzeugen, umbenennen und lschen</li>
       <li>Dateien hoch- und herunterladen, erzeugen, umbenennen und lschen</li>
       <li>Textdateien bearbeiten</li>
       <li>Bilddateien betrachten</li>
       <li>Dateien nach Name, Grsse, Rechten und Modifikationsdatum sowohl an- als auch absteigend sortieren</li>
       <li>Verschiedene Sprachen nutzen.</li>
     </ul>
     PHPFM von Morten Bojsen-Hansen findet man auf
     <a href=\"http://phpfm.zalon.dk\" target=\"_blank\">http://phpfm.zalon.dk</a><br><br>");
define ("_FCC_OPZ1DTITOLO",  "FlatNuke Seitenblockverwaltung");
define ("_FCC_OPZ1DEXPLODE",  "Das Verzeichnis, das die Blcke enthlt, ist: /blocks.");
define ("_FCC_OPZ1DLEFT",  "Links");
define ("_FCC_OPZ1DRIGHT",  "Rechts");
define ("_FCC_OPZ1DHIDDEN",  "Versteckt");
define ("_FCC_OPZ1DORDBLOCK",  "Blcke umordnen");
define ("_FCC_OPZ1DNEWBLOCK",  "Neuen Block erzeugen");
define ("_FCC_OPZ1DNEWBLOCKNAME", "Name des neuen Blocks (max. 20 chars)");
define ("_FCC_OPZ1DNEWBLOCKNUM", "Auf welche r Position soll der Block stehen");
define ("_FCC_OPZ1DNEWBLOCKSIDE", "Auf welcher Seite erzeugen?");
define ("_FCC_OPZ1DMOVEBLOCK",  "Block verschieben");
define ("_FCC_OPZ1DMOVEBLOCKLR", "Von links nach rechts");
define ("_FCC_OPZ1DMOVEBLOCKRL", "Von rechts nach links");
define ("_FCC_OPZ1DMODBLOCK",  "Blcke bearbeiten");
define ("_FCC_OPZ1DMODRENAME",  "Umbenennen");
define ("_FCC_OPZ1DMODEDIT",  "Bearbeiten");
define ("_FCC_OPZ1DMODRENAMENEW", "Neuer Name ");
define ("_FCC_OPZ1DDELBLOCK",  "Block lschen");
define ("_FCC_OPZ1DNEWBLOCKOK",  "Block erzeugt");   ;
define ("_FCC_OPZ1DMOVEBLOCKOK", "Block verschoben");
define ("_FCC_OPZ1DRENBLOCKOK",  "Block umbenannt");
define ("_FCC_OPZ1DDELBLOCKOK",  "Block gelscht");
define ("_FCC_OPZ1DBLOCKEXIST",  "Kein Name gewhlt oder die Datei existsiert bereits");
define ("_FCC_OPZ1DBLOCKUNWR",  "Kein Name gewhlt oder die Datei ist nicht lschbar (Rechte berprfen?)");
define ("_FCC_OPZ1ETITOLO",  "FlatNuke Sektionsverwaltung");
define ("_FCC_OPZ1EEXPLODE",  "Das Verzeichnis, das die Sektionsverzeichnisse und Dateien enthlt, ist: /Sektions.");
define ("_FCC_OPZ1ESEZORD",  "Sektionen neu anordnen (Hauptmen)");
define ("_FCC_OPZ1ESEZNEW",  "Neue Sektion/Untersektion erzeugen");
define ("_FCC_OPZ1E SEZNEWNAME",  "Name der Sektion(max. 20 chars)");
define ("_FCC_OPZ1ESEZNEWORD",  "Menposition der Sektion");
define ("_FCC_OPZ1ESEZNEWDIR",  "Wo soll das Verzeichnis der neuen Sektion/Untersektion's erzeugt werden?<br>(Option <i>Sektions</i> auswhlen, um eine Hauptsektion zu erzeugen):");
define ("_FCC_OPZ1ESEZMOD",  "Sektion bearbeiten");
define ("_FCC_OPZ1ESEZFILE",  "Die Sektion.php einer Sektion verwalten");
define ("_FCC_OPZ1ESEZCOPY",  "Kopieren");
define ("_FCC_OPZ1ESEZMOVE",  "Verschieben");
define ("_FCC_OPZ1ESEZDLT",  "Lschen");
define ("_FCC_OPZ1ESEZDIRDEST",  "Zielverzeichnis");
define ("_FCC_OPZ1ESEZFILEDEL",  "Diese Datei lschen");
define ("_FCC_OPZ1ESEZDEL",  "Eine Sektion lschen");
define ("_FCC_OPZ1ENEWSECTOK",  "Neue Sektion erzeugt");
define ("_FCC_OPZ1ENEWSECTNO",  "Sektionsname schon prsent oder unkorrekter Name");
define ("_FCC_OPZ1ERENSECTOK",  "Sektion umbenannt");
define ("_FCC_OPZ1ERENSECTFILEOK", "Datei umbenannt");
define ("_FCC_OPZ1ERENSECTFILENO", "Dateiname schon vorhanden oder unkorrekter Name");
define ("_FCC_OPZ1EMOVESECTFILEOK", "Datei verschoben");
define ("_FCC_OPZ1ECOPYSECTFILEOK", "Datei kopiert");
define ("_FCC_OPZ1EDELSECTFILEOK", "Datei gelscht");
define ( "_FCC_OPZ1EDELSECTFILENO", "Datei nicht gelscht oder unkorrekter Dateiname");
define ("_FCC_OPZ1EDELSECTOK",  "Sektion gelscht");
define ("_FCC_OPZ1EDELSECTNO",  "Sektion nicht gelscht oder unkorrekter Name");
define ("_FCC_OPZ1FTITOLO",  "Backupoptionen fr deinen FlatNuke");
define ("_FCC_OPZ1FEXPLODE",  "Mit Flatbackup kannst du leicht Sicherheitsbackups deiner Sites, oder von Teilen davon, machen;
     Gemacht von Aldo 'zorba' Boccacci, du findest es auf
     <a href=\"http://doc4it.altervista.org/\" target=\"_blank\">http://doc4it.altervista.org/</a>.");
define ("_FCC_OPZ1FBKPCHOOSE",  "Backuptyp auswhlen");
define ("_FCC_OPZ1FBKPNEWS",  "<b>Backup der news</b>");&n bsp;
define ("_FCC_OPZ1FBKPFORUM",  "<b>Backup der Forumposts</b>");
define ("_FCC_OPZ1FBKPUSERS",  "<b>Backup der Forumuser</b>");
define ("_FCC_OPZ1FBKPMISC",  "<b>Backup des Verzeichnisses <i>misc/</i> (Statistiken, Umfragen, Motd, etc..)</b>");
define ("_FCC_OPZ1FBKPSECT",  "<b>Backup der Sektionen</b>");
define ("_FCC_OPZ1FBKPSITE",  "<b>Backup der Site</b>");
define ("_FCC_OPZ1FBKPDEL",  "<b>Backuptemporrdateien lschen</b>");
define ("_FCC_OPZ1FWARN1",  "<b>Warnung: </b>Die Dimensionen dieses Backup sind gross, es wird ntig sein, auf dem Server
     die Datei <i>misc/backup/backup_Sektions.zip</i>zu erzeugen.");
define ("_FCC_OPZ1FWA RN2",  "<b>Warnung: </b>Die Dimensionen dieses Backup sind gross, es wird ntig sein, auf dem Server
     die Datei  <i>misc/backup/backup_site.zip</i>zu erzeugen.");
define ("_FCC_OPZ1FWARN3",  "Dieses Backup knnte sensible Daten oder private Informationen enthalten, also nach Ende des Downloads bitte
DIE TEMPORREN DATEIEN DURCH KLICKEN DES BUTTON GANZ UNTEN LSCHEN.");
define ("_FCC_OPZ1FWARN4",  "Dateien im Verzeichnis <i>forum/users/</i>
     sind automatisch vom Backup ausgeschlossen.<br>");
define ("_FCC_OPZ1FJSC1",  "Erster Start von Flatbackup : Verzeichnis misc/backup erfolgreich angelegt");
define ("_FCC_OPZ1FJSC2",  "WARNUNG: Ich kann das Verzeichnis misc/backup nicht erzeugen.
     Damit der Skript funktioniert eventuell manuell erzeugen");

#  GROUP OPTIONS 2
define ("_FCC_TITOLO2",   "Theme Optionen (augenblicklich benutzter Theme)");
define ("_FCC_OPZIONE2A",  "Themestruktur");
define ("_FCC_OPZIONE2B",  "Themeanpassung");
define ("_FCC_OPZIONE2C",  "Theme CSS");
define ("_FCC_OPZ2ATITOLO",  "Themestruktur bearbeiten");
define ("_FCC_OPZ2AEXPLODE",  "Die Datei, die die Themestruktur enthlt, ist: ");
define ("_FCC_OPZ2BTITOLO",  "Aussehen des Themes bearbeiten");
define ("_FCC_OPZ2BEXPLODE",  "Die Datei, die die Struktur enthlt, ist: ");
define ("_FCC_OPZ2CTITOLO",  "CSS-Stylesheet bearbeiten");
define ("_FCC_OPZ2CEXPLODE",  "Die Stylesheetdatei ist: ");

#  GROUP OPTIONS 3
define ("_FCC_TITOLO3",   "FlatPoll Optionen");
define ("_FCC_OPZIONE3A",  "Konfiguration Anpassen");
define ("_FCC_OPZIONE3B",  "FlatPoll Einstellungen");
define ("_FCC_OPZ3ATITOLO",  "Derzeitige Umfrage bearbeiten");
define ("_FCC_OPZ3AEXPLODE",  "Die Daten der Umfrage sind gespeichert in: ");
define ("_FCC_OPZ3BTITOLO",  "FlatPollkonfiguration bearbeiten");
define ("_FCC_OPZ3BEXPLODE",  "Die FlatPollkonfigurationsdatei ist: ");

#  GRoUP OPTIONS 4
define ("_FCC_TITOLO4",   "Andere Blcke");
define ("_FCC_OPZIONE4A",  "Fortune");
define ("_FCC_OPZ4ATITOLO",  "Fortunes hinzufgen oder bearbeiten");
define ("_FCC_OPZ4AEXPLODE",  "Die Texte fr den Fortune Block sind gespeichert in: ");

# WARNINGS
define ("_FCC_WARNINGDOC",  "Bevor Du diese Einstellungen speicherst, Sichergehen, dass alles ok ist (Dokumentation lesen)!");
define ("_FCC_WARNINGFILEWR",  "Datei gespeichert");
define ("_FCC_WARNINGRIGHTS",  "Zugang verweigert: berprfen Sie die Zugriffsrechte fr die Datei!");
define ("_FCC_WARNINGNOMODULE",  "Modul nicht vorhanden, wahrscheinlich nicht installiert!");
define ("_FCC_ONLYADMINTITOLO",  "Kein Zugang zu gewhlter Option");
define ("_FCC_ONLYADMINEXPLODE", "Kein Zugang zum gewhlten Link, gesperrter Bereich nur fr Admins.");
define ("_FCC_WARNINGDIRNOTWR",  "Kein Schreibzugriff auf Verzeichnis mglich!");
define ("_FCC_WARNINGNOSPACE",  "Nicht gengend Speicherplatz auf dem Server!");
define ("_FCC_WARNINGDIRBIGE",  "Das Verzeichnis, das Du speichern willst, ist zu gross!");
define ("_FCC_WARNINGDELTMP",  "Temporre Datei erfolgreich gelscht!");
define ("_FCC_WARNINGNODELTMP",  "WARNUNG: Fehler beim Versuch, die Temporre Datei zu lschen");
define ("_FCC_WARNINGNOTMP",  "Keine temporren Dateien zum lschen vorhanden");

# EDIT DateiS
define ("_FCC_EDITFILESPREVIEW", "Dateivorschau:");
define ("_FCC_EDITFILESFIELDS",  "Editierbare Werte:");
define ("_FCC_EDITFILESBODY",  "Datei zum bearbeiten:");

?>