<?php

/*
 * FlatNuke Control Center
 * Copyright (C) 2004 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */
 
/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.5
 * Data      26/10/2004
 */

# English translation - Marco Segato  <segatom@yahoo.it>


# GENERAL
define ("_FCC_WELCOME",			"Welcome ");
define ("_FCC_WELCOMELEVEL",		" - Your level administration is ");

# MAIN MENU
define ("_FCC_MAINTITOLO",		"Welcome to FlatNuke Control Center");
define ("_FCC_MAINSITEURL",		"This site's URL is: ");
define ("_FCC_MAINSERVER",		"Current server: ");
define ("_FCC_MAINUSERAGENT",		"Browser: ");
define ("_FCC_MAINSERVERSPACE",		"Free disk space on the server: ");
define ("_FCC_MAINSITESPACE",		"Dimensions of current site: ");

#  GROUP OPTIONS 1
define ("_FCC_TITOLO1",			"FlatNuke options");
define ("_FCC_OPZIONE1A",		"General setup");
define ("_FCC_OPZIONE1B",		"Edit welcome");
define ("_FCC_OPZIONE1D",		"Manage blocks");
define ("_FCC_OPZIONE1E",		"Manage sections");
define ("_FCC_OPZIONE1F",		"Flatnuke backup");
define ("_FCC_OPZ1ATITOLO",		"General FlatNuke configuration");
define ("_FCC_OPZ1AEXPLODE",		"File containing FlatNuke general setup is: ");
define ("_FCC_OPZ1BTITOLO",		"Edit welcome message");
define ("_FCC_OPZ1BEXPLODE",		"File containing the welcome text is: ");
define ("_FCC_OPZ1CTITOLO",		"Manage online your files with PHPFM");
define ("_FCC_OPZ1CEXPLODE",		"PHPFM is a PHP filemanager open source; it can currently:
					<ul type=\"circle\" compact>
					  <li>create, rename and delete folders</li>
					  <li>create, upload, rename, download and delete files</li>
					  <li>edit text files</li>
					  <li>view image files</li>
					  <li>sort files by name, size, permissions and last modification date both ascending and descending</li>
					  <li>communicate in more languages.</li>
					</ul>
					PHPFM by Morten Bojsen-Hansen, you can find it at 
					<a href=\"http://phpfm.zalon.dk\" target=\"_blank\">http://phpfm.zalon.dk</a><br><br>");
define ("_FCC_OPZ1DTITOLO",		"FlatNuke lateral blocks management");
define ("_FCC_OPZ1DEXPLODE",		"Directory containing lateral blocks' dirs and files is: /blocks.");
define ("_FCC_OPZ1DLEFT",		"Left");
define ("_FCC_OPZ1DRIGHT",		"Right");
define ("_FCC_OPZ1DHIDDEN",		"hidden");
define ("_FCC_OPZ1DORDBLOCK",		"Reorder lateral blocks");
define ("_FCC_OPZ1DNEWBLOCK",		"Create new lateral block");
define ("_FCC_OPZ1DNEWBLOCKNAME",	"New block name (max. 20 chars)");
define ("_FCC_OPZ1DNEWBLOCKNUM",	"New block order number");
define ("_FCC_OPZ1DNEWBLOCKSIDE",	"New block side");
define ("_FCC_OPZ1DMOVEBLOCK",		"Move lateral block");
define ("_FCC_OPZ1DMOVEBLOCKLR",	"From left to right");
define ("_FCC_OPZ1DMOVEBLOCKRL",	"From right to left");
define ("_FCC_OPZ1DMODBLOCK",		"Edit lateral block");
define ("_FCC_OPZ1DMODRENAME",		"Rename");
define ("_FCC_OPZ1DMODEDIT",		"Edit");
define ("_FCC_OPZ1DMODRENAMENEW",	"New name for ");
define ("_FCC_OPZ1DDELBLOCK",		"Delete lateral block");
define ("_FCC_OPZ1DNEWBLOCKOK",		"Block created");
define ("_FCC_OPZ1DMOVEBLOCKOK",	"Block moved");
define ("_FCC_OPZ1DRENBLOCKOK",		"Block renamed");
define ("_FCC_OPZ1DDELBLOCKOK",		"Block deleted");
define ("_FCC_OPZ1DBLOCKEXIST",		"No selected name or file already exists");
define ("_FCC_OPZ1DBLOCKUNWR",		"No selected name or can't delete file (check file's read/write permissions)");
define ("_FCC_OPZ1ETITOLO",		"FlatNuke sections management");
define ("_FCC_OPZ1EEXPLODE",		"Directory containing sections' dirs and files is: /sections.");
define ("_FCC_OPZ1ESEZORD",		"Reorder sections (Main menu)");
define ("_FCC_OPZ1ESEZNEW",		"Create a new section/sub-section");
define ("_FCC_OPZ1ESEZNEWNAME",		"New section name (max. 20 chars)");
define ("_FCC_OPZ1ESEZNEWORD",		"New section order number");
define ("_FCC_OPZ1ESEZNEWDIR",		"Choose where the new section/sub-section's directory should be created<br>
					(choose option <i>sections</i> if you want to create a main section):");
define ("_FCC_OPZ1ESEZMOD",		"Edit section");
define ("_FCC_OPZ1ESEZFILE",		"Manage a section/sub-section's file");
define ("_FCC_OPZ1ESEZCOPY",		"Copy");
define ("_FCC_OPZ1ESEZMOVE",		"Move");
define ("_FCC_OPZ1ESEZDLT",		"Delete");
define ("_FCC_OPZ1ESEZDIRDEST",		"Destination directory");
define ("_FCC_OPZ1ESEZFILEDEL",		"Delete the file");
define ("_FCC_OPZ1ESEZDEL",		"Delete a section/sub-section");
define ("_FCC_OPZ1ENEWSECTOK",		"New section created");
define ("_FCC_OPZ1ENEWSECTNO",		"Section name already present or incorrect name");
define ("_FCC_OPZ1ERENSECTOK",		"Section renamed");
define ("_FCC_OPZ1ERENSECTFILEOK",	"File renamed");
define ("_FCC_OPZ1ERENSECTFILENO",	"Filename already present or incorrect name");
define ("_FCC_OPZ1EMOVESECTFILEOK",	"File moved");
define ("_FCC_OPZ1ECOPYSECTFILEOK",	"File copied");
define ("_FCC_OPZ1EDELSECTFILEOK",	"File deleted");
define ("_FCC_OPZ1EDELSECTFILENO",	"File not deleted or incorrect filename");
define ("_FCC_OPZ1EDELSECTOK",		"Section deleted");
define ("_FCC_OPZ1EDELSECTNO",		"Section not deleted or incorrect name");
define ("_FCC_OPZ1FTITOLO",		"Backup options for your own FlatNuke");
define ("_FCC_OPZ1FEXPLODE",		"With Flatbackup you can easily create security backups of your sites, or parts of them, based on FlatNuke;
					created by Aldo 'zorba' Boccacci, you can find it at 
					<a href=\"http://doc4it.altervista.org/\" target=\"_blank\">http://doc4it.altervista.org/</a>.");
define ("_FCC_OPZ1FBKPCHOOSE",		"Choose backup type");
define ("_FCC_OPZ1FBKPNEWS",		"<b>Make backup of news</b>");
define ("_FCC_OPZ1FBKPFORUM",		"<b>Make backup of forum posts</b>");
define ("_FCC_OPZ1FBKPUSERS",		"<b>Make backup of forum users</b>");
define ("_FCC_OPZ1FBKPMISC",		"<b>Make backup of the directory <i>misc/</i> (statistics, poll, motd, etc..)</b>");
define ("_FCC_OPZ1FBKPSECT",		"<b>Make backup of sections</b>");
define ("_FCC_OPZ1FBKPSITE",		"<b>Make backup of main site</b>");
define ("_FCC_OPZ1FBKPDEL",		"<b>Delete backup temporary files</b>");
define ("_FCC_OPZ1FWARN1",		"<b>Warning: </b>Dimensions of this backup are excessives and it will be necessary to save on the server
					the file <i>misc/backup/backup_sections.zip</i>.");
define ("_FCC_OPZ1FWARN2",		"<b>Warning: </b>Dimensions of this backup are excessives and it will be necessary to save on the server
					the file <i>misc/backup/backup_site.zip</i>.");
define ("_FCC_OPZ1FWARN3",		"This backup could contain sensible data or private informations, so AT THE END OF THE DOWNLOAD
					BE SURE TO DELETE TEMPORARY BACKUP FILES BY CLICKING ON THE BUTTON AT THE BOTTOM.");
define ("_FCC_OPZ1FWARN4",		"By configuration, files stored into the directory <i>forum/users/</i>
					will be excluded from the backup.<br>");
define ("_FCC_OPZ1FJSC1",		"First Flatbackup run: directory misc/backup succesfully created");
define ("_FCC_OPZ1FJSC2",		"WARNING: I can't create directory misc/backup.
					For right script running you should create it by hand");

#  GROUP OPTIONS 2
define ("_FCC_TITOLO2",			"Theme options");
define ("_FCC_OPZIONE2A",		"Theme structure");
define ("_FCC_OPZIONE2B",		"Theme personalization");
define ("_FCC_OPZIONE2C",		"Theme CSS");
define ("_FCC_OPZ2ATITOLO",		"Edit current theme structure");
define ("_FCC_OPZ2AEXPLODE",		"File containing current theme structure is: ");
define ("_FCC_OPZ2BTITOLO",		"Edit current theme look");
define ("_FCC_OPZ2BEXPLODE",		"File containing current theme personalisation is: ");
define ("_FCC_OPZ2CTITOLO",		"Edit current theme CSS style");
define ("_FCC_OPZ2CEXPLODE",		"File containing current theme CSS style is: ");

#  GROUP OPTIONS 3
define ("_FCC_TITOLO3",			"FlatPoll options");
define ("_FCC_OPZIONE3A",		"Edit poll");
define ("_FCC_OPZIONE3B",		"FlatPoll setup");
define ("_FCC_OPZ3ATITOLO",		"Edit current poll");
define ("_FCC_OPZ3AEXPLODE",		"File containing current poll data is: ");
define ("_FCC_OPZ3BTITOLO",		"Edit FlatPoll configuration");
define ("_FCC_OPZ3BEXPLODE",		"File containing FlatPoll general setup is: ");

#  GRUP OPTIONS 4
define ("_FCC_TITOLO4",			"Other blocks");
define ("_FCC_OPZIONE4A",		"Fortune");
define ("_FCC_OPZ4ATITOLO",		"Add or modify fortunes");
define ("_FCC_OPZ4AEXPLODE",		"File containing Fortune block text is: ");

# WARNINGS
define ("_FCC_WARNINGDOC",		"WARNING: be sure you read docs before modifing this file!");
define ("_FCC_WARNINGFILEWR",		"File saved");
define ("_FCC_WARNINGRIGHTS",		"Access denied: check file's read/write permissions!");
define ("_FCC_WARNINGNOMODULE",		"Module not available, check FlatNuke installation!");
define ("_FCC_ONLYADMINTITOLO",		"Can't access selected option");
define ("_FCC_ONLYADMINEXPLODE",	"You can't access selected link, restricted area: only for admin.");
define ("_FCC_WARNINGDIRNOTWR",		"Not writeable directory!");
define ("_FCC_WARNINGNOSPACE",		"Insufficient server free disk space");
define ("_FCC_WARNINGDIRBIGE",		"Directory you would save is too big");
define ("_FCC_WARNINGDELTMP",		"I succesfully deleted temporary file");
define ("_FCC_WARNINGNODELTMP",		"WARNING: an error occurred while attempting to delete temporary file");
define ("_FCC_WARNINGNOTMP",		"No temporary files to delete");

# EDIT FILES
define ("_FCC_EDITFILESPREVIEW",	"File preview before changes:");
define ("_FCC_EDITFILESFIELDS",		"Fields list to edit:");
define ("_FCC_EDITFILESBODY",		"File to edit:");

?>
