<?php

/*
 * FlatNuke Control Center
 * Copyright (C) 2004 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 */
 
/*
 * Blocco per FlatNuke (http://flatnuke.sourceforge.net) di Simone Vellei che
 * permette di modificare direttamente online le principali opzioni di FlatNuke.
 *
 * Autore    Marco Segato  <segatom@yahoo.it>
 * Website   http://www.marcosegato.tk
 * Versione  0.5
 * Data      26/10/2004
 */

# Lingua italiana - Marco Segato  <segatom@yahoo.it>


# GENERALE
define ("_FCC_WELCOME",			"Benvenuto ");
define ("_FCC_WELCOMELEVEL",		" - Il tuo livello di amministrazione &#232; ");

# MAIN MENU
define ("_FCC_MAINTITOLO",		"Benvenuto nel FlatNuke Control Center");
define ("_FCC_MAINSITEURL",		"L'indirizzo di questo sito &#232;: ");
define ("_FCC_MAINSERVER",		"Server corrente: ");
define ("_FCC_MAINUSERAGENT",		"Browser: ");
define ("_FCC_MAINSERVERSPACE",		"Spazio disponibile sul server: ");
define ("_FCC_MAINSITESPACE",		"Dimensioni del sito corrente: ");

#  GRUPPO OPZIONI 1
define ("_FCC_TITOLO1",			"Opzioni FlatNuke");
define ("_FCC_OPZIONE1A",		"Configurazione generale");
define ("_FCC_OPZIONE1B",		"Modifica benvenuto");
define ("_FCC_OPZIONE1D",		"Gestione blocchi");
define ("_FCC_OPZIONE1E",		"Gestione sezioni");
define ("_FCC_OPZIONE1F",		"Flatnuke backup");
define ("_FCC_OPZ1ATITOLO",		"Configurazione generale di FlatNuke");
define ("_FCC_OPZ1AEXPLODE",		"Il file che contiene le impostazioni generali di FlatNuke &#232;: ");
define ("_FCC_OPZ1BTITOLO",		"Modifica il messaggio di benvenuto");
define ("_FCC_OPZ1BEXPLODE",		"Il file che contiene il testo del messaggio di benvenuto &#232;: ");
define ("_FCC_OPZ1CTITOLO",		"Gestisci online i tuoi files con PHPFM");
define ("_FCC_OPZ1CEXPLODE",		"PHPFM &#232; un filemanager open source scritto in PHP; attualmente &#232; in grado di:
					<ul type=\"circle\" compact>
					  <li>creare, rinominare, eliminare directories</li>
					  <li>creare, caricare, rinominare, scaricare, eliminare files</li>
					  <li>modificare files di testo</li>
					  <li>visualizzare files immagine</li>
					  <li>ordinare i files per nome, dimensione, permessi e ultima modifica, sia ascendente che discendente</li>
					  <li>utilizzare pi&#249; lingue.</li>
					</ul>
					PHPFM &#232; stato creato da Morten Bojsen-Hansen, si trova all'indirizzo 
					<a href=\"http://phpfm.zalon.dk\" target=\"_blank\">http://phpfm.zalon.dk</a><br><br>");
define ("_FCC_OPZ1DTITOLO",		"Gestione dei blocchi laterali di FlatNuke");
define ("_FCC_OPZ1DEXPLODE",		"La directory che contiene le cartelle e i files dei blocchi laterali &#232;: /blocks.");
define ("_FCC_OPZ1DLEFT",		"Sinistra");
define ("_FCC_OPZ1DRIGHT",		"Destra");
define ("_FCC_OPZ1DHIDDEN",		"nascosto");
define ("_FCC_OPZ1DORDBLOCK",		"Riordina i blocchi laterali");
define ("_FCC_OPZ1DNEWBLOCK",		"Crea un nuovo blocco laterale");
define ("_FCC_OPZ1DNEWBLOCKNAME",	"Nome del nuovo blocco (max. 20 caratteri)");
define ("_FCC_OPZ1DNEWBLOCKNUM",	"Numero di ordinamento del nuovo blocco");
define ("_FCC_OPZ1DNEWBLOCKSIDE",	"Lato in cui inserire il nuovo blocco");
define ("_FCC_OPZ1DMOVEBLOCK",		"Sposta un blocco laterale");
define ("_FCC_OPZ1DMOVEBLOCKLR",	"Da sinistra a destra");
define ("_FCC_OPZ1DMOVEBLOCKRL",	"Da destra a sinistra");
define ("_FCC_OPZ1DMODBLOCK",		"Modifica un blocco laterale");
define ("_FCC_OPZ1DMODRENAME",		"Rinomina");
define ("_FCC_OPZ1DMODEDIT",		"Modifica");
define ("_FCC_OPZ1DMODRENAMENEW",	"Nuovo nome per ");
define ("_FCC_OPZ1DDELBLOCK",		"Elimina un blocco laterale");
define ("_FCC_OPZ1DNEWBLOCKOK",		"Il blocco  stato creato");
define ("_FCC_OPZ1DMOVEBLOCKOK",	"Il blocco  stato spostato");
define ("_FCC_OPZ1DRENBLOCKOK",		"Il blocco  stato rinominato");
define ("_FCC_OPZ1DDELBLOCKOK",		"Il blocco  stato eliminato");
define ("_FCC_OPZ1DBLOCKEXIST",		"Nessun nome selezionato o file gi esistente");
define ("_FCC_OPZ1DBLOCKUNWR",		"Nessun nome selezionato o file non eliminabile (controlla i permessi di scrittura)");
define ("_FCC_OPZ1ETITOLO",		"Gestione delle sezioni di FlatNuke");
define ("_FCC_OPZ1EEXPLODE",		"La directory che contiene le cartelle e i files delle sezioni &#232;: /sections.");
define ("_FCC_OPZ1ESEZORD",		"Riordina le sezioni (Menu principale)");
define ("_FCC_OPZ1ESEZNEW",		"Aggiungi una nuova sezione/sotto-sezione");
define ("_FCC_OPZ1ESEZNEWNAME",		"Nome della nuova sezione (max. 20 caratteri)");
define ("_FCC_OPZ1ESEZNEWORD",		"Numero di ordinamento della nuova sezione");
define ("_FCC_OPZ1ESEZNEWDIR",		"Scegli dove deve esssere creata la directory della nuova sezione/sotto-sezione<br>
					(scegli l'opzione <i>sections</i> se vuoi che venga creata una sezione principale):");
define ("_FCC_OPZ1ESEZMOD",		"Modifica una sezione");
define ("_FCC_OPZ1ESEZFILE",		"Gestisci il file di una sezione/sotto-sezione");
define ("_FCC_OPZ1ESEZCOPY",		"Copia");
define ("_FCC_OPZ1ESEZMOVE",		"Sposta");
define ("_FCC_OPZ1ESEZDLT",		"Elimina");
define ("_FCC_OPZ1ESEZDIRDEST",		"Directory di destinazione");
define ("_FCC_OPZ1ESEZFILEDEL",		"Elimina il file");
define ("_FCC_OPZ1ESEZDEL",		"Elimina una sezione/sotto-sezione");
define ("_FCC_OPZ1ENEWSECTOK",		"La nuova sezione  stata creata");
define ("_FCC_OPZ1ENEWSECTNO",		"Nome sezione gi esistente o nome non corretto");
define ("_FCC_OPZ1ERENSECTOK",		"La sezione  stata rinominata");
define ("_FCC_OPZ1ERENSECTFILEOK",	"Il file  stato rinominato");
define ("_FCC_OPZ1ERENSECTFILENO",	"Nome file gi esistente o nome non corretto");
define ("_FCC_OPZ1EMOVESECTFILEOK",	"Il file  stato spostato");
define ("_FCC_OPZ1ECOPYSECTFILEOK",	"Il file  stato copiato");
define ("_FCC_OPZ1EDELSECTFILEOK",	"Il file  stato eliminato");
define ("_FCC_OPZ1EDELSECTFILENO",	"File non eliminato o nome non corretto");
define ("_FCC_OPZ1EDELSECTOK",		"La sezione  stata eliminata");
define ("_FCC_OPZ1EDELSECTNO",		"Sezione non eliminabile o nome non corretto");
define ("_FCC_OPZ1FTITOLO",		"Opzioni di backup del proprio FlatNuke");
define ("_FCC_OPZ1FEXPLODE",		"Flatbackup &#232; un sistema per creare copie di sicurezza di siti, o parti di siti, basati su FlatNuke;
					creato da Aldo 'zorba' Boccacci, si trova all'indirizzo 
					<a href=\"http://doc4it.altervista.org/\" target=\"_blank\">http://doc4it.altervista.org/</a>.");
define ("_FCC_OPZ1FBKPCHOOSE",		"Scegli il tipo di backup");
define ("_FCC_OPZ1FBKPNEWS",		"<b>Esegui il backup delle news</b>");
define ("_FCC_OPZ1FBKPFORUM",		"<b>Esegui il backup dei post del forum</b>");
define ("_FCC_OPZ1FBKPUSERS",		"<b>Esegui il backup degli utenti del forum</b>");
define ("_FCC_OPZ1FBKPMISC",		"<b>Esegui il backup della directory <i>misc/</i> (statistiche, sondaggio, motd, ecc..)</b>");
define ("_FCC_OPZ1FBKPSECT",		"<b>Esegui il backup delle sezioni</b>");
define ("_FCC_OPZ1FBKPSITE",		"<b>Esegui il backup di tutto il sito</b>");
define ("_FCC_OPZ1FBKPDEL",		"<b>Elimina i files dei backup temporanei</b>");
define ("_FCC_OPZ1FWARN1",		"<b>Attenzione: </b>Le dimensioni di questo backup sono eccessive e sar&#224; necessario memorizzare sul server
					il file <i>misc/backup/backup_sections.zip</i>.");
define ("_FCC_OPZ1FWARN2",		"<b>Attenzione: </b>Le dimensioni di questo backup sono eccessive e sar&#224; necessario memorizzare sul server
					il file <i>misc/backup/backup_site.zip</i>.");
define ("_FCC_OPZ1FWARN3",		"Siccome questo backup potrebbe contenere dei dati sensibili o informazioni riservate, AL TERMINE DEL DOWNLOAD
					SI RACCOMANDA DI ELIMINARE IL FILE TEMPORANEO CLICCANDO SUL COLLEGAMENTO IN BASSO.");
define ("_FCC_OPZ1FWARN4",		"In base alla configurazione, dal seguente backup saranno esclusi i files memorizzati nella cartella
					<i>forum/users/</i>.<br>");
define ("_FCC_OPZ1FJSC1",		"Primo avvio di Flatbackup: creata con successo la cartella misc/backup");
define ("_FCC_OPZ1FJSC2",		"ATTENZIONE: non sono riuscito a creare la cartella misc/backup.
					Per il corretto funzionamento dello script deve essere creata manualmente");

#  GRUPPO OPZIONI 2
define ("_FCC_TITOLO2",			"Opzioni tema");
define ("_FCC_OPZIONE2A",		"Struttura tema");
define ("_FCC_OPZIONE2B",		"Personalizzazione tema");
define ("_FCC_OPZIONE2C",		"CSS tema");
define ("_FCC_OPZ2ATITOLO",		"Modifica la struttura del tema corrente");
define ("_FCC_OPZ2AEXPLODE",		"Il file che contiene la struttura del tema corrente &#232;: ");
define ("_FCC_OPZ2BTITOLO",		"Modifica il look del tema corrente");
define ("_FCC_OPZ2BEXPLODE",		"Il file che contiene le personalizzazioni del tema corrente &#232;: ");
define ("_FCC_OPZ2CTITOLO",		"Modifica il foglio di stile CSS del tema corrente");
define ("_FCC_OPZ2CEXPLODE",		"Il file che contiene il foglio di stile CSS del tema corrente &#232;: ");

#  GRUPPO OPZIONI 3
define ("_FCC_TITOLO3",			"Opzioni FlatPoll");
define ("_FCC_OPZIONE3A",		"Modifica sondaggio");
define ("_FCC_OPZIONE3B",		"Configurazione FlatPoll");
define ("_FCC_OPZ3ATITOLO",		"Modifica il sondaggio corrente");
define ("_FCC_OPZ3AEXPLODE",		"Il file che contiene i dati del sondaggio corrente &#232;: ");
define ("_FCC_OPZ3BTITOLO",		"Modifica la configurazione di FlatPoll");
define ("_FCC_OPZ3BEXPLODE",		"Il file che contiene le impostazioni generali di FlatPoll &#232;: ");

#  GRUPPO OPZIONI 4
define ("_FCC_TITOLO4",			"Altri blocchi");
define ("_FCC_OPZIONE4A",		"Fortune");
define ("_FCC_OPZ4ATITOLO",		"Modifica o aggiungi frasi al blocco Fortune");
define ("_FCC_OPZ4AEXPLODE",		"Il file che contiene le frasi visualizzate nel blocco Fortune &#232;: ");

# WARNINGS
define ("_FCC_WARNINGDOC",		"ATTENZIONE: leggere bene la documentazione prima di modificare questo file!");
define ("_FCC_WARNINGFILEWR",		"Il file  stato salvato");
define ("_FCC_WARNINGRIGHTS",		"Modifica impossibile: controlla i permessi di scrittura del file!");
define ("_FCC_WARNINGNOMODULE",		"Modulo non presente, controllare l'installazione di FlatNuke!");
define ("_FCC_ONLYADMINTITOLO",		"Impossibile accedere all'opzione selezionata");
define ("_FCC_ONLYADMINEXPLODE",	"Non puoi visualizzare la pagina scelta, sezione riservata all'amministratore.");
define ("_FCC_WARNINGDIRNOTWR",		"Directory non scrivibile!");
define ("_FCC_WARNINGNOSPACE",		"Spazio sul server insufficiente");
define ("_FCC_WARNINGDIRBIGE",		"La directory che si vuole salvare  troppo grande");
define ("_FCC_WARNINGDELTMP",		"Ho rimosso con successo il file temporaneo");
define ("_FCC_WARNINGNODELTMP",		"ATTENZIONE: si  verificato un errore tentando di eliminare il file temporaneo");
define ("_FCC_WARNINGNOTMP",		"Non ci sono files temporanei da eliminare");

# MODIFICA FILES
define ("_FCC_EDITFILESPREVIEW",	"Anteprima file prima della modifica:");
define ("_FCC_EDITFILESFIELDS",		"Lista dei campi da modificare:");
define ("_FCC_EDITFILESBODY",		"File da modificare:");

?>
